# Anleitung zum Programm eGUN #
*******************************

*(Kontroll-/Testprogramm für 3.5kV Multi-Mode e-Kanone)*

             23.Aug.2018 K. Huber, Strahlenzentrum Univ. Gießen
             Version 19.Okt.2020

1 Anleitungs-Formate
********************

Diese Anleitung zum eGUN-Messprogramm steht in verschiedenen Formaten
zur Verfügung.  Die entsprechenden Files finden Sie auf dem Host-Rechner
(z.Z. Ionix) unter /usr/exp/ex_help oder auf Ihrem Experiment-Account
unter $HOME/ex_home/ex_help:

     egun.txt    Text-Format, kann z.B. mit ‘a2ps’ in handlichem Format
                 gedruckt werden.  Es fehlen jedoch Bilder und Grafiken.
     egun.dvi    DVI-Format, kann z.B. mit ‘dvips’ auf einem
                 Postscript-Drucker gedruckt werden oder mit ‘xdvi’ auf
                 einem X-Windows Bildschirm dargestellt werden.
     egun.html   HTML-Format, kann mit jedem HTML-Browser gelesen werden.
     egun.info   INFO-Format, kann mit dem ‘GNU-Info-Browser’ (‘info -f
                 egun.info’) und ‘GNU-emacs’ gelesen werden.  Es fehlen
                 jedoch Bilder und Grafiken.  So wird der Info-Browser
                 bedient (Start mit Tastenfolge TAB, ENTER):
                 info.  (Zurück mit L, L, ...).
     egun.pdf    PDF-Format, mit dem ‘Acrobat-Reader’ zu lesen.

2 Funktion von eGUN
*******************

Das eGUN Programm dient vorwiegend zum Testen der 3.5kV
Elektronen-Kanone und der zu ihrem Betrieb notwendigen Geräte.
Es erlaubt die Steuerung der benötigten acht Hochspannungen einzeln oder
gemeinsam und überwacht dabei die neun Plattenströme um unzulässige
Betriebszustände zu vermeiden

Die Hard- und Software Voraussetzungen sind:
   • VME Labor-Rechner-System
   • Standard-Control-Routing
   • Diverse HV-Netzgeräte
   • VT240/330 Terminal oder PC mit TeraTerm
   • VxWorks Betriebssystem
   • Netzwerkanschluss zu einem Host-Rechner

3 Bedienung von eGUN
********************

Die notwendigen Eingaben werden in Dialogform angefordert.  Der Dialog
ist in einer Hierarchiestruktur aufgebaut, wobei mittels Menülisten von
einer Dialogebene in die andere gewechselt werden kann.  Für
Parametereingaben existieren im Allgemeinen Vorbelegungswerte, die
editiert werden können.

        — eGUN Top-Menü —

3.1 Exit eGUN
=============

Die aktuelle Programmkonfiguration wird gerettet und das eGun Programm
beendet.

3.2 Set Configuration
=====================

Unter diesem Konfigurations-Menü erfolgen alle notwendigen Anpassungen
des Programms.  Beim allerersten Start des Programms wird dieser
Menüpunkt stets automatisch aufgerufen.  Danach sollte er nur noch bei
Konfigurationsänderungen benutzt werden.

   • *Return*
     Rückkehr zum Top-Menü.

   • *General parameters*
        • *Name of experiment*
          Hier ist der Name des Experimentes einzutragen.
        • *Print verbose messages*
          Bei Angabe einer "1" werden ausführlichere Meldungen
          ausgegeben.
        • *Delay messages*
          Gelegentlich wird eine vorausgehende von einer nachfolgenden
          Meldung so rasch überschrieben, dass sie nicht gelesen werden
          kann.  Hier kann für Meldungen eine Mindestverweilzeit (in
          Sek.)  auf dem Bildschirm angegeben werden.  Dies verzögert
          natürlich die Bedienung des Programmes und sollte deshalb nur
          für Testzwecke eingeschaltet werden.
        • *Check task stack*
          Unter VxWorks wird der Stack einer Task aus Zeitgründen nicht
          auf Überlauf geprüft.  Ein Überlauf führt in der Regel jedoch
          zur Zerstörung der Task und auch des Systems.  Eine "1" führt
          beim Stop der Task zu einer Prüfung des Stack.  Im Allgemeinen
          nur bei Problemen notwendig.

   • *Control Routing hardware*
     Da das Control-Routing im Experiment zum Einsatz kommt, muss die
     Software wissen, auf welchem Wege das Control-Routing ans VME
     angeschlossen ist.  Es gibt hierfür mehrere Möglichkeiten:
        • Direkter Anschluss an das Prozessor-Board (MVME162, MVME172)
        • Anschluss an die Interface-Boards VIPC610 oder IPC01.  Dabei
          wird für das Control-Routing üblicherweise der IP-Slot A/B
          verwendet (oberer frontseitiger Stecker).
        • Anschluss an ein anderes Interface-Board.  Dessen
          VME-Bus-Adresse und die Interrupt_Priorität müssen eingetragen
          werden.
     Als Hilfe wird eine Übersicht des Address-Mapping auf dem VME-Bus
     ausgegeben.

   • *Control Routing configuration*
     Über diese Eingabe erfährt das eGun-Programm an welcher Position
     des Control Routing sich die benötigten PSO- und ADC-Karten
     befinden.  Diese Karten werden von einem Adress-Decoder gesteuert,
     der unmittelbar links davon steckt.  Es ist dessen Steckplatz-ID
     anzugeben, die der Adress-Decoder durch LEDs binär codiert anzeigt.
     Der Adress-Decoder stellt für die nachfolgenden Interface-Karten
     acht Registeradressen bereit, wovon jede PSO-Karte zwei und jede
     ADC-Karte eine benötigt.  Die Registeradressen werden in
     aufsteigender Nummer von links nach rechts an die Karten vergeben.
     Nach der Eingabe wird geprüft ob die Registeradressen ansprechbar
     sind.

3.3 PSO-DAC-ADC Tests
=====================

Mit den folgenden Tests können zwei MCP3208 ADC-Karten im
Control-Routing adressiert werden, sowie zwei PSO14-Karten, von denen
jede zwei LWL-Sender bedient.  Jeder der LWL-Sender kann zwei DACs
steuern.  (s.h.  Control Routing Doku.)

   • *Return*
     Rückkehr zum Top-Menü.
   • *PSO32-DAC2752/2758/5541 Test1*
     Mit diesem Test kann ein einzelner der 8 möglichen DACs
     angesprochen werden.  Sie sind von 0 bis 7 durchnummeriert mit
     Beginn bei der PSO mit der niedrigsten Registernummer (im Zweifel
     sieht man den LWL leuchten).  Dieser Test setzt PSO14-Karten mit
     der Firmware PSO32 voraus, und DAC-Karten mit der dazu passenden
     Firmware:
               DAC          Firmware
             LTC2752     DAC2752-16-PSO32
             LTC2758     DAC2758-18-PSO32
             AD5541      DAC5541-16-PSO32

     Auszugeben ist der 18-Bit DAC-Code.  Für die 16-Bit-DACs werden die
     zwei niederwertigsten Bits nicht verwendet.

     Für die LTC2752/2758 DACs kann ein Spannungsbereich angegeben
     werden:
          Span Code      Spannungsbereich
              0             0V -   5V
              1             0V -  10V
              2            -5V -   5V
              3           -10V -  10V
              4          -2.5V - 2.5V
              5          -2.5V - 7.5V
     Der AD5541-DAC kann den Span Code nicht auswerten und hat den
     festen Bereich 0V - 10V.

   • *PSO32-DAC2752/2758/5541 TestV*
     Wie zuvor Test1, es ist jedoch die Ausgangsspannung des DACs
     anzugeben.

   • *PSO32-DAC2752/2758/5541 Test4*
     Mit diesem Test wird eine PSO14-Karte adressiert, über die 1 - 4
     angeschlossene DACs gleichzeitig mit den selben Daten geladen
     werden können.  Die Randbedingungen sind die selben wie bei Test1
     zuvor.

   • *ADC MCP3208 Test*
     Mit diesem Test werden die acht Kanäle einer von zwei MCP3208
     ADC-Karten im 10ms Takt ausgelesen und das letzte Ergebnisse sowie
     Mittelwerte und Standardabweichungen ausgegegeben.  Wahlweise
     können die Messergebnisse in einem vorgebbaren Takt auf eine Datei
     geschrieben werden (~/ex_home/ex_data).

   • *PSO32-DAC-ADC Test*
     Bei diesem Test wird vorausgegsetzt, dass ein Eingang eines ADCs
     mit dem Ausgang eines DACs verbunden ist.  DAC-Ausgangswert und
     ADC-Eingangswert werden miteinander verglichen.  Für DAC und ADC
     gelten die gleichen Bedingungen wie zuvor.

   • *PSO16-DAC5541 Test*
     Mit diesem Test wird die PSO im 16-Bit Modus betrieben für ein
     DAC5541-Board mit der obsoleten DAC5541-Firmware unter den sonst
     gleichen Bedingungen wie Test1.

   • *Help*
     Online-Help für die PSO-DAC-ADC-Funktionen.

3.4 Keithley2000
================

Um die Messungen mit dem Keithley2000 durchführen zu können, muss es mit
der COM2-Buchse auf der Frontseite des VME-Rechners verbunden sein.

   • *Return*
     Rückkehr zum Top-Menü.
   • *Voltage Stability*
     Mit dieser Funktion können mit dem Keithley2000 Langzeitmessungen
     einer Spannung durchgeführt werden.  Das Keithley wird vom Programm
     gesteuert.  Wenn die Umstände es erfordern muss das Programm ggf
     angepasst werden.  Zur Zeit (März 2021) sind folgende Parameter
     eingestellt:
          	Auslesetakt: 10s
          	Mode: DC
          	Range: 100V
          	NPLC: 10    (lowest sample rate)
     Die Ausgabe der Daten erfolgt auf dem Bildschirm und die Datei
     ‘$HOME/ex_home/ex_data/Keithley.txt’ in [s] und [V].
   • *Voltage Distribution*
     Mit dieser Funktion wurde versucht, die Verteilung der
     Spannungsschwankungen mit hoher Sample Rate zu messen.
          	Mode: DC
          	Range: 1V
          	NPLC: 0.01    (highest sample rate)
     Es hat sich jedoch gezeigt, dass auch dann nur niederfrequente
     Schwankungen berücksichtigt werden.  Als geeigneter zur Messung des
     Rauschens hat sich die AC-RMS-Messung gezeigt (see
     Restwelligkeit).
   • *Cathode Voltage Calibration*
     Diese Funktion ist hilfreich bei der Kalibrierung der
     Kathodenspannug.  Die Kalibrierung kann mit dem Keithley (online
     und offline) sowie mit jedem anderen, ausreichend präzisen
     Voltmeter durchgeführt werden.  Es liefert die Eichdaten der
     Hochspannungen U0 und U1 für die ESW, ESS und eGUN Programme.
          	U0   Cath/P5 raw voltage
          	U1   Cath/P5 fine voltage
          	U2   Cath/P5: FUG 140-3500
     Wenn das Keithley online betrieben wird, dann erfolgt dessen
     Einstellung durch das Programm.  Im anderen Fall muss diese
     Einstellung manuell erfolgen.
          	Mode: DC
          	Range: 1000V
          	NPLC: 10    (lowest sample rate)
     Im Online-Betrieb liest das Programm die Messwerte aus.  Offline
     müssen die Messwerte abgelesen und eingetragen werden.  In beiden
     Fällen jedoch muss zunächst abgewartet werden bis das Keithley
     einen stabilen Wert anzeigt.

     Die Eichung erfolgt in sechs Schritten.  Wenn die Messwerte nach
     jedem Schritt mehr als 1 Volt vom Sollwert abweichen, wird ein
     Hardwarefehler vermutet und es erfolgt ein Abbruch um das Keithley
     nicht in Gefahr zu bringen.

     Nach Abschluss der Eichung stehen die Eichwerte im EGUN-Programm
     zur Verfügung und können überprüft werden.  Dabei ist zu beachten,
     dass die Fehlertoleranz der DACs ein LSB ist, d.h.  ca.  15mV für
     die dominierende Spannung U0.

     Details zur Eichung sind im Anhang ausführlich beschrieben: (see
     Kalibrierung der Kathodenspannung).

3.5 eGun Tests
==============

Diese Tests dienen dazu, die Elektronenkanone mit den notwendigen
Spannungen zu versorgen und die Ströme von den Elektroden zu überwachen,
um unzulässige Betriebszustände zu vermeiden.

   • *Return*
     Rückkehr zum Top-Menü.
   • *Configuration*
        * *Descriptions*
          Für jede der acht benötigten Spannungen zum Betrieb der Kanone
          kann eine kurze Beschreibung angegeben werden.  Ebenso für die
          neun Elektrodenströme.
        * *Wiring*
          Für alle acht Spannungen ist der Pfad anzugeben über den sie
          gesteuert werden.
               	PSO[0/1/2] -> LWL[0/1] -> DAC[0/1]
        * *Limits*
          Für alle acht Spannungen sind min-/max-Werte anzugeben, die
          nicht überschritten werden dürfen.
          Für die neun Ströme gibt es einen Warn-Level, bei dessen
          Überschreitung eine Warnung ausgegeben wird und den
          Stop-Level, bei dessen Erreichen alle Spannungen sofort
          abgeschaltet werden.
        * *Calibrations*
          Unter diesem Menüpunkt sind für die acht Spannungen und neun
          Ströme die Eichungen festzulegen:
             # Für die Spannungen ist anzugeben welche Werte die
               HV-Geräte liefern würden bei einer Steuerspannung von 0V
               bzw.  10V, auch wenn sie tatsächlich mit anderen Werten
               zu steuern sind.
                    	U0   Cath/P5 raw voltage
                    	U1   Cath/P5 fine voltage
                    	U2   Cath/P5: FUG 140-3500
                    	U3   P1/P4: FUG 140-2000
                    	U4   P1/P4 voltage
                    	U5   P2/P3: TREK 609E-6
                    	U6   P6: FUG 140-6500
                    	U7   Coll.: FUG 4200-3500
               Für die Spannungen U2 bis U7 ist die Eichung unkritisch
               und es können die berechneten Werte verwendet werden.

               Für die Kathodenregelung (U0, U1) jedoch sollten die
               genauen Werte durch Messung ermittelt werden.  Die
               Durchführung einer solchen Eichung ist im Anhang
               ausführlich beschrieben (see Kalibrierung der Kathodenspannung).
             # Für die zugehörigen DACs ist anzugeben in welchem
               Spannungsbereich sie betrieben werden sollen.
             # Für die Ströme ist anzugeben bei welchen Strömen die
               kontaktlose Strommessung 0V bzw.  10V liefert.
        * *eGun Modes*
          Unter diesem Menüpunkt können 16 Betriebsmoden für die Kanone
          definiert werden durch die Festlegung folgender Parameter:
               Beschreibung des Modes (Title)
               Maximal zulässige Energie (Max Energy)
               Maximal zulässige Energieänderung (Ramp Speed)
               Die Faktoren zur Berechnung der Spannungen aus der Energie
   • *Set Voltages*
     Alle acht Plattenspannungen der Kanone können hiermit gemeinsam
     gesetzt werden.  Nach dem Start werden die Plattenströme mit 100Hz
     gemessen und jede Sekunde die Mittelwerte über 100 Messwerte
     ausgegeben und das Verhältnis der Mittelwerte zu den Warn- und
     Stop-Level angezeigt.  Ferner werden die gewünschten Spannungen
     angezeigt, die jedoch bei Fehlfunktionen nicht unbedingt den
     tatsc̈hlichen Spannung entsprechen müssen.
   • *Set Energy*
     Mit dieser Funktion kann die Kanone mit Hilfe eines wählbaren
     Betriebsmodus auf eine gewünschte Elektronenenergie gefahren
     werden.  Bei einem Neustart wird zuerst geprüft in welchem Zustand
     sich die Kanone aktuell befindet um dann folgendermaßen zu
     verfahren um unzulässige Betriebszustände zu vermeiden:
        * Wenn der aktuelle Zustand bekannt ist, kann die Kanone
          entweder direkt in den neuen Zustand gefahren werden oder bei
          einer Änderung des Modus durch Herunterfahren im aktuellen
          Modus und anschließendem Hochfahren im neuen Modus.
        * Wenn der aktuelle Zustand unbekannt ist, werden alle
          Spannungen in einem Schritt auf null gesetzt und anschließend
          der neue Zustand angefahren.
     Nach dem Start wird der neue Energiewert, wie zuvor beschrieben
     angefahren.  Dabei werden die Ströme überwacht und bei
     Überschreitung des Warn-Levels eine Warnung ausgegeben.  Bei
     Erreichen des Stop-Levels werden alle Spannungen sofort auf Null
     gesetzt und die Funktion abgebrochen.
     Die aktuellen Ströme und Spannungen werden angezeigt.

   • *Scan Energy*
     Nachdem mit Set Energy eine Energie eingestellt wurde, kann um
     diese Basis mit einem maximalen Bereich von +-100eV ein Scan
     durchgeführt werden.  Anzugeben ist die Schrittweite und die
     Pausendauer zwischen den Schritten.  Und es ist festzulegen welche
     Spannungen an dem Scan teilnehmen.
     Nach dem Start werden die Ströme, wie unter Set Energy beschrieben,
     überwacht.

3.6 Help
========

Bringt diese Anleitung über das menüorientierte GNU-INFO-Programm auf
den Bildschirm.  INFO läuft dabei auf einem Server (z.Z. Ionix).

Wenn INFO mit ’Q’ oder ’q’ normal beendet wird, dann erfolgt die direkte
Rückkehr zum Messprogramm.  Wird INFO jedoch mit ’^C’ abgebrochen, so
bleibt das Login auf dem INFO-Server erhalten und muss mit ’exit’ oder
’logout’ beendet werden!

4 Anhang
********

4.1 Multi-Mode-Elektronenkanone
===============================

*GUNLO (eGUNLOop)* (neue Version 13.06.2019)
Externer Regelkreis zur Steuerung und Regelung der Kathoden- und
Stangenspannung der Multi-Mode-Kanone im Labor 017.
Autor: W.Arnold (1.12.97), K. Huber (2019)

4.1.1 Funktionsbeschreibung für Kathodenspannung
------------------------------------------------

Siehe hierzu Blockschaltbild gunlo03a.sch.
Die Kathodenspannung wird von einem FUG Netzgerät HCP140-3500 (3.5KV,
40mA) geliefert, welchem ein bipolares Kepco-Netzgerät BOP 100-1M
(+-100V, 1A) untergestockt ist.  Damit ist es möglich Kathodenspannungen
bis 3,6 KV zu erzeugen.  Die Steuerung und Regelung der Kathodenspannung
erfolgt in einem separaten Regeleinschub (ESGUNLO3).  In diesem befindet
sich ein 1:401 Spannungsteiler von welchem der untersetzte Istwert der
Kathodenspannung einer Reglerkarte (gunlo01-neu) zugeführt wird.  Der
Sollwert der Kathodenspannung wird von einer zweifach 18-Bit DAC-Karte
(DC1684A-A) erzeugt.  Deren 0V-10V Ausgangswerte werden auf der
Reglerkarte mit unterschiedlicher Wichtung addiert (Offset: 1, Sweep:
0.1), so dass sich für Offset ein Vollausschlag von 4010V und für Sweep
ein Vollausschlag von 401V ergibt.  Jedenfalls berechnet nach dem
Entwurf der Schaltung.  Tatsächlich werden diese Werte aber dicht bei
4000V bzw.  400V gemessen.  Diese Abweichung ist durch die Toleranz der
Bauteile nicht zu erklären!
Der Integrator vergleicht Ist- und Sollwert und steuert mit seinem
Ausgang das Kepco-Netzgerät an, welches als Spannungfolger mit
Verstärkung v=10 beschaltet ist.
Der DAC des FUG-Netzgerätes liefert bei Vollausschlag +10 Volt, was
einer Ausgangsspannung von 3500 Volt entspricht.  Um mit dem Sweep den
Spannungshub von +-100V des Kepco-Netzgerätes voll ausnutzen zu können,
sollte die Ausgangsspannung des FUG-Netzgerätes auf U-out= U-offset+100
Volt eingestellt werden.
Der Stangenkreis ist wie der Kathodenkreis aufgebaut.  Die
Stangenspannung liefert ein MCP140-2000 (2kV, 60mA) zusammen mit einem
BOP 100-1M (+-100V, 1A). Den Istwert liefert ein 1/201 Spannungsteiler.

4.1.2 Kalibrierung der Kathodenspannung
---------------------------------------

An der Regelung der Kathodenspannung sind verschiedene
Schaltungskomponenten (zwei DACs, Spannungsteiler,
Soll-Istwertvergleich) mit ihren Abweichungen von den geplanten Daten
beteiligt, was die Durchführung der Eichung zunächst recht
unübersichtlich erscheinen lässt.  Durch die Verwendung mittels passiver
Bauteile stark gegengekoppelter Verstärker kann man aber von linearen
Übertragungsfunktionen der einzelnen Komponenten ausgehen.  Damit lassen
sich die Zusammenhänge auf eine einfache Formel reduzieren:
     	Verhalten der DACs
     	U0 = a0 + b0*X0
     	U1 = a1 + b1*X1

     	Addition der DAC-Spannungen zum Sollwert
     	Us = as + (bs0*U0 + bs1*U1)    bs0 = 1; bs1 = 0.1
     	   = as +bs0*a0 +bs1*a1 + bs0*b0*X0 + bs1*b1*X1

     	Hochspannung
     	HV = (at + bt*T) * Us     (T: Spannungsteiler)
     	...
     	   = A + B0*X0 +B1*X1

In dieser letzten Formel sind alle Offset und Gain Fehler
zusammengefasst.  Damit kann die Eichung in sechs Schritten erfolgen:
     	U0   Cath/P5 raw voltage
     	U1   Cath/P5 fine voltage
     	U2   Cath/P5: FUG 140-3500

     	Sollwerte:
     	DACmin: X = 0x00000 -> U = 0V
     	DACmax: X = 0x3ffff -> U = 10V
     	Spannungsteiler T0 = 1:4010
     	Spannungsteiler T1 = 1:401

  1. Messung des Offset
          	X0 = 0x00000
          	X1 = 0x00000
          	U2 = 0V
  2. Messwert für U0 bei 250V
     Dieser Zwischenschritt ist eine Vorsichtsmaßnahme um die 1000V
     Grenze des Keithly2000 nicht zu überschreiten.
          	X0 = 0x04000
          	X1 = 0x00000
          	U2 = 250V
  3. Messwert MU0 für U0 bei 1000V
     Da der Messbereich des Keithley auf 1000V beschränkt ist, muss der
     U0=4000V (X0=0x3ffff) Wert am Ende hochgerechnet werden.
          	X0 = 0x0ffff
          	X1 = 0x00000
          	U2 = 1000V
  4. Messwert für U1 bei 100V
     Dieser Zwischenschritt ist eine Vorsichtsmaßnahme.
          	X0 = 0x00000
          	X1 = 0x10000
          	U2 = 100V
  5. Messwert MU1 für U1 bei 400V
          	X0 = 0x00000
          	X1 = 0x3ffff
          	U2 = 400V
  6. Berechnung der Eichwerte so wie sie in ESW, ESS und EGUN benötigt
     werden.  Dort sind die Werte anzugeben, die bei Ausgabe von 0x00000
     bzw.  0x3ffff an die DACs als Hochspannung gemessen werden.
          	E0_U0 = Offset
          	E10_U0 = ((MU0-Offset) / 0x0ffff * 0x3ffff) + Offset;
          	E0_U1 = 0
          	E10_U1 = MU1
Für die Durchführung dieser Prozedur steht ein Programm zur Verfügung
(see Keithley2000).

Durch die Offset-Verschiebung der Spannungen können, je nach DAC-Modus
und HV-Gerät, die minimalen oder maximalen Spannungswerte nicht erreicht
werden.  Für die negative Kathodenspannung bedeutet z.B. ein Offset von
-1V, dass nicht weniger als 1eV Energie eingestellt werden kann.

4.1.3 Komponenten der Spannungsregelung
---------------------------------------

4.1.3.1 DAC-Karten DC1684A-A
............................

     Typ: LTC DC1684A-A auf Carrier-Board
     Firmware: dac2758-18-pso32
     DAC-Code: 0x00000 - 0x3ffff
     Modus: 0V - 10V
   Ausführliche Beschreibung: DAC-Boards.

4.1.3.2 Kathoden-HV-Netzgerät
.............................

     Typ: FUG HCP140-3500
     Ser.-Nr: 21869-01-01
     Daten: 3.5kV, 40mA
     Optionen:
         Verminderter Ripple (1E-5)
         Analoge Fernsteuerung (0V - 10V)
Das Gerät reagiert sowohl bei steigenden wie bei fallenden
Spannungssprüngen (z.B. 100V/200V) mit einem exponentiellen Verlauf
(see Programmierung.).

   *Gemessene Störungen*
Das Gerät arbeitet intern mit einer 60kHz Rechteckspannung deren Flanken
als 120kHz Schaltspitzen zu sehen sind.  Sie lassen sich durch 10 - 30nF
an der Kanonenposition (Kabelmitte, 2*6m?)  deutlich reduzieren.
     FUG, gemessen am Ausgang:
     50Hz-Brumm: 3mVss
     Schaltspitzen:
     100V, 20kOhm, 0nF: 150mVss
     100V, 100kOhm, 10nF: 3mVss

     FUG + Kabel + Spannungsteiler,
     gemessen in der Kabelmitte:
     50Hz-Brumm: 3mVss
     Schaltspitzen:
     100V, 20kOhm, 0nF: 70mVss
     100V, 100kOhm, 10nF: 3mVss

     Kepco + Schutzschaltung + FUG + Kabel + Spannungsteiler,
     gemessen in der Kabelmitte:
     50Hz-Brumm: 7mVss
     Schaltspitzen:
     100V, 20kOhm, 0nF: 250mVss
     100V, 100kOhm, 20nF: 7mVss

     Regelung + Kepco + Schutzschaltung + FUG + Kabel + Spannungsteiler,
     gemessen in der Kabelmitte:
     50Hz-Brumm: 7mVss
     Schaltspitzen:
     100V, 20kOhm, 0nF: 200mVss
     100V, 100kOhm, 20nF: 10mVss
     100V, 100kOhm, 30nF: 5mVss

4.1.3.3 Stangen-HV-Netzgerät
............................

     Typ: FUG MCP140-2000
     Daten: 2.0kV, 60mA
     Optionen:
         Standard-Ripple (1E-4)
         Analoge Fernsteuerung (0V - 10V)
Das Gerät reagiert sowohl bei steigenden wie bei fallenden
Spannungssprüngen (z.B. 100V/200V) mit einem exponentiellen Verlauf
(see Programmierung.).

   *Gemessene Störungen*
Das Gerät arbeitet intern mit einer 60kHz Rechteckspannung deren Flanken
als 120kHz Schaltspitzen zu sehen sind.  Sie lassen sich durch 10 - 30nF
an der Kanonenposition (Kabelmitte, 2*6m?)  deutlich reduzieren.
     FUG, gemessen am Ausgang:
     50Hz-Brumm: 30mVss
     Schaltspitzen:
     100V, 20kOhm, 0nF: 300mVss
     100V, 100kOhm, 20nF: 30mVss

     FUG + Kabel + Spannungsteiler,
     gemessen in der Kabelmitte:
     50Hz-Brumm: 30mVss
     Schaltspitzen:
     100V, 20kOhm, 0nF: 170mVss
     100V, 100kOhm, 20nF: 30mVss

     Kepco + Schutzschaltung + FUG + Kabel + Spannungsteiler,
     gemessen in der Kabelmitte:
     50Hz-Brumm: ?mVss
     Schaltspitzen:
     100V, 20kOhm, 0nF: 400mVss
     100V, 100kOhm, 20nF: 150mVss
     100V, 100kOhm, 30nF: 100mVss
     100V, 100kOhm, 120nF: 20mVss (Regelung gestört)

4.1.3.4 Kepco-Netzgeräte BOP 100-1M
...................................

     Typ: Kepco BOP 100-1M
     Ser.-Nr: E133086, E124474
     Daten: +-100V, 1000mA
     Optionen:
         Analoge Fernsteuerung (-10V...+10V)
Beide Netzgeräte sind am Programmierstecker mit BNC-Buchsen ausgerüstet,
die es gestatten sie als invertierende *10-Verstärker zu betreiben.
Diese Buchsen werden nicht benutzt und bleiben unbeschaltet.  Für den
hier beschriebenen Betrieb als *10 Spannungsfolger wurde am
Programmierstecker zusätzlich ein 3-poliger Diodenstecker mit
Schutzbeschaltung angebracht (s.  Blockschaltbild gunlo03a).  Über Pin 3
dieser Stecker wird die Ausgangsspannung der Regelung zugeführt.
Auf der Frontplatte müssen Common mit Common_Sense und Output mit
Output_Sense gebrückt werden.  Falls die Geräte standalone betrieben
werden sollen, ist der Diodenstecker mit einer Kurzschluss-Buchse zu
versehen, welcher die Pins 1 und 2 brückt.

Beide Kepcos reagieren im ungeregelten Betrieb auf einen 10V Sprung der
Steuerspannung mit einer RC-Zeit von ca.  16us.  Der Ausgang des
Kathoden-FUG reagiert auf das Kepco-Signal bis ca.  1% unter der
Sollspannung mit dem Verlauf des Kepco-Signals, steigt dann linear bis
ca.  1% über dem Sollwert um dann in 1ms auf den Sollwert abzufallen.
Die Zeit des Anstiegs (1-10ms) ist proportional zur Höhe des
Spannungssprungs und umgekehrt proportional zum vom FUG gelieferten
Strom (see Rätselhafte Zacken.).

4.1.3.5 Schutzbeschaltungs-Kästchen KGUNLO4
...........................................

Kathoden-Kepco: KGUNLO4.1
Stangen-Kepco : KGUNLO4.2
Sie dienen dem Schutz der Kepco-Netzgeräte vor Überspannungen bei
Überschlägen an der Elektronenkanone.  Z.B. wird der Kurzschluss-Strom
an der Kathode durch diese Beschaltung auf ca.  150 Ampere limitiert und
muss im Fehlerfall vom Varistor und von der Endstufe des Netzgerätes
übernommen werden.  Dabei sind vor allem die ersten u-Sekunden des
Überschlages kritisch.  Ein Dauerkurzschluss am Verbraucher ist dagegen
relativ unkritisch, da die Kepco-Endstufe die 40mA bzw.  60mA
Ausgangsstrom der FUG-Netzgeräte im Dauerstrich übernehmen kann.  Dies
gilt allerdings nur, wenn das Kepco-Netzgerät eingeschaltet ist, da
sonst der Endstufe die nötige Kühlung fehlt.

4.1.3.6 Spannungsteiler (gunlo02)
.................................

Die beiden Spannungsteiler (Kathode 1:200, Stangen 1:60) für die alte
Kanone waren mit 10k und 100k Widerständen des Typs VISHAY S102K (0.1%,
1ppm/K) realisiert.  Um die neuen Teiler zu realisieren (Kathode 1:400,
Stangen 1:200) war nur der S102C-Typ (0.1%, 2ppm/K) auf die Schnelle zu
beschaffen.  Deshalb wurde der alte Stangenteiler mit S102C zum
Verhältnis 1:200 ergänzt und mit dem alten Kathodenteiler in Serie
geschaltet.  Der neue Stangenteiler ist auf einem weiteren Board mit
S102C-Typen realisiert.  Da bei den 20*100k die Chance besteht, dass
sich ihre Fehler rausmitteln, wurde der einzelne 10k mit höherer
Genauigkeit gewählt.
     Kathode Board1    100k:  6*S102K (0.1%), 14*S102C (0.1%)
     Kathode Board2    100k: 20*S102K (0.1%);  10k: 1*S102K (0.1%)
     Stangen           100k: 20*S102C (0.1%);  10k: 1*S102C (0.01%)
Das Mischen von S102K und S102C Typen ist nicht ideal, da die beiden
Typen gegenläufige Temperaturabhängigkeit haben und sollte nachgebessert
werden!
Die Teilerverhältnisse von 1:400 bzw.  1:200 können mittels
Spannungsmessung (Keithley 2000) und Korrekturwiderständen abgeglichen
werden.  Da die Hochspannungen aber ebenso die Fehler der DACs und der
Reglerkarte beinhalten, ist es sinnvoller Abweichungen vom Sollwert in
der Software durch eine Eichung zu berücksichtigen und diese
gelegentlich zu wiederholen.

4.1.3.7 Reglerkarte (gunlo01)
.............................

Die Karte enthält für die Messung von Kathoden und Stangenspannung
jeweils zwei separate Spannungsfolger, je einen für die Regelung und je
einen für die auf die Frontplatte geführte Sekundäranzeige.  Die
Sekundäranzeige sollte nur zur (erdfreien!)  Messung des DC-Mittelwertes
benutzt werden.  Für die Messung von AC-Komponenten empfiehlt es sich
direkt an der Kanone mittels Tastkopf zu messen.

Bei den Präzisionswiderständen PR2, PR6 und PR9 handelt es sich um
VISHAY SMNZ Präzisionswiderstände mit jeweils 4*10k in einem Gehäuse
(0.01%, 0.1ppm/K).

Die Präzisionswiderstände PR3 und PR7 sind VISHAY S102K (0.01%, 1ppm/K).

Die PR1, PR4, PR5 und PR8 bieten eine Korrekturmöglichkeit für
Verstärkungsfehler.  Sie sind zur Zeit gebrückt, da eventuelle
Verstärkungsfehler von der Software korrigiert werden.

Auf dem Original von W. Arnold sollte nach den Angaben in der
gunlo01-Beschreibung der OPA124PB eingesetzt sein.  Tatsächlich ist die
Karte jedoch mit dem OPA124P bestückt.  Da die P-Typen (DIL) nicht mehr
hergestellt werden, wurde für die neue Regelung der U-Typ (SOIC)
verwendet.  Leider aber der 124U statt 124UA, was zu unbefriedigenden
Ergebnissen bezüglich Offset und TK geführt hat, insbesondere da die
U-Typen über keinen Offset-Abgleich mehr verfügen (Kathode Offset:
350mV, TK: 5mV/K). Deshalb wurden die OPA124 nochmals durch die
Zero-Offset-Typen OPA189ID ersetzt.  Diese haben allerdings deutlich
höhere Bias- und Offset-Ströme, die sich jedoch nur im 1mV-Bereich auf
die Kathodenspannung auswirken und außerdem weitgehend Temperatur
unabhängig sind.
     OPA      (typ/max)      124U/P    124UA/PA      124PB      189ID
     Inp. Offs. V [uV]      200/800     150/500    100/250     0.4/3
     Inp. Offs. TK [uV/K]     4/7.5       2/4        1/2     0.005/0.02
     Inp. Bias I [pA]         1/5       0.5/2     0.35/1        70/300
     Inp. Offs. I [pA]        1/5       0.5/2     0.25/0.5      70/300
Mit den OPA189ID wurde die Temperaturabhängigkeit der Regelung deutlich
verbessert, der Offset jedoch nicht in dem erwarteten Maße (Kathode
Offset: 60mV, TK: 0.1mV/K).

Der Regler für die Kathodenspannung wurde mittels C2=150p und R8=100k
auf ein sauberes Einschwingen mit ca.  50us Anstiegs- und Abfallzeit bei
Rechteck-Modulation des Sollwertes eingestellt.  Die Einstellung
erfolgte mit 1V-Rechtecken im Bereich 0v bis 200V. Mit 20nF zur
HF-Glättung in der Kabelmitte tritt in manchen Lastbereichen ein
leichtes Überschwingen von ca.  1% auf.

Am Regler der Stangenspannung wurde diese Zeit mittels C1=220p und
R3=22k ebenfalls auf ca.  50us eingestellt bei einem sauberen
Einschwingen.

4.1.3.8 Einschub ESGUNLO3
.........................

Er enthält die beiden Spannungsteiler, die Reglerkarte, zwei DAC-Karten
für Kathoden- und Stangensollwert und ein Netzteil.
Wichtig: Das Bezugspotential des Einschubes wird über die Senseleitungen
für Kathode und Stangen von der Elektronenkanone zugeführt.  Der gesamte
Aufbau ist erdfrei.  Es existiert auch nur je eine einadrige Verbindung
zum Kepco (Stellgröße auf Pin 3 des Steckers).
Um im Fehlerfall die Personensicherheit zu gewährleisten ist zwischen
Bezugspotential des Einschubes und Potentialerde (PE) ein Varistor
S20K11 angebracht.
Die verwendeten Präzisionswiderstände sind teilweise sehr empfindlich
gegen Brummeinstreuung.  Es ist deshalb darauf zu achten, dass der
Einschub nicht neben Geräte gestellt wird, die ihre Umgebung mit
Elektrosmog verseuchen.  Z.B. sind die beiden Kepco-Netzgeräte solche
"Dreckschleudern", weil ihre Trafos bei 50Hz-Betrieb in die Sättigung
gehen und deshalb entsprechend hohe Streufelder erzeugen.

4.1.4 Simulation der Regelung
-----------------------------

Die Regelung von Kathoden- und Stangenspannung wurde mit dem Programm
Tina-TI von Texas Instruments untersucht und optimiert.  Mit Tina-Ti
lassen sich, wie auch mit LTspice (Linear Technology) und anderen,
Spice-Simulationen von Schaltungen durchführen.

4.1.4.1 Schaltung
.................

   • VG1 liefert eine Rechteckspannungfolge und VM1/VM2 sind durch ein
     virtuelles Oszilloskop und den Frequenz- und Phasengang
     darstellbar.
   • Der Sollwert wird durch VG1 eingespeist.
   • Den Istwert liefert der Hochspannungsteiler (R2,R3) mit dem
     Teilerverhältnis 10k/(4M+10k)=1/401.
   • Das Verhalten des PI-Reglers wird durch C1 und R4 angepasst.  Wobei
     sich die RC-Zeit T des I-Reglers aus R1 und C1 und der
     Regelkreisverstärkung V ergibt:
          V = Vu * Vr = R3/(R3+R4) * R7/R6 = 1/40
          T = R1*C1/V = 60us
     Die Regelverstärkung des P-Reglers wird mit R4 eingestellt.
   • R5 steht für die Impedanz des Reglerausgangs und C3 für die
     Kapazität der nachfolgenden Verkabelung.
   • R7/R6 bildet die Verstärkung des Kepco und R7*C2 die
     Einschwingzeit.  Gemessen wurde dafür 16us, die Simulation ließ
     sich jedoch nur mit C2=260p ordentlich anpassen.
   • Mit R8 und L1 ist der Ausgang des Kepco beschaltet.
   • R9 ist der 100W Widerstand in der Box mit der Schutzschaltung für
     das Kepco bei Überschlägen.
   • C4 steht für alle nachfolgenden Kapazitäten:
        • Der Betriebsteil des FUG wird gegen Masse vom Kepco angehoben.
        • Ebenso der Kollektorschrank.
        • Die Kapazität der HV-Kabel ist eher vernachlässigbar.
        • An der Kanone wird die HV nochmals mit Kondensatoren gesiebt.

4.1.4.2 Optimierung
...................

Zur Optimierung der Regelung wurde zunächst der L1,C4-Schwingkreis mit
einer eigenen Simulation untersucht und durch R9 auf den aperiodischen
Grenzfall gedämpft.  Dazu wurde R9 von bisher 11 Ohm auf 100 Ohm erhöht.
Dies sollte ohne Probleme möglich sein, da die neue Kanone im
Kathodenkreis nur maximal 40mA benötigt gegen 1A bei der alten.
Andere R9-C4-Kombinationen sind ebenfalls möglich.
     fr: gerechnete Frequenz des ungedämpften Oszillators
         fr=1/(2Pi*Wurzel(L1*C4))
     fm: gemessene Frequenz des ungedämpften Oszillators
     Tr: gerechnete Einschwingzeit des aperiodischen Grenzfalls
         Tr=2*L1/R9
     Tm: gemessene Einschwingzeit des aperiodischen Grenzfalls

     R9[Ohm]   C4[nF]   L1[uH]   fr[kHz]   fm[kHz]   Tr[us]   Tm[us]
       11                 200                         36.4
       22                 200                         18.2
       44        390      200      18.0                9.1
      100        130      200      31.2                4.0

4.1.5 Abgleich
--------------

Auf der neuen Reglerkarte sind die 20k-Potis zum Offset-Abgleich der
Operationsverstärker ohne Funktion da die OPA189ID keinen solchen
Abgleich mehr bieten.  Offset und Gain kann daher nur über die
DAC-Karten justiert werden.

Die DAC-Potis sind gut erreichbar wenn man die Frontseite des
Regelungseinschubes entfernt.  Die DAC-Potis müssen mittels Jumper auf
den DAC-Boards aktiviert werden.  Nicht genutzte Potis sollten
deaktiviert werden (GND = off).
     DAC-Offset A/B: VOSADJ A/B
     DAC-Gain A/B:   GEADJ A/B
     A: Kath.-Offset
     B: Kath.-Sweep
   Der Kath.-Offset ist am Besten mit dem Sweep-DAC (VOSADJB)
einstellbar, da dieser um den Faktor 10 feiner reagiert.

*Da das Kathodenspannungs-Offset nur ca.  60mV beträgt und das
Temperaturverhalten des OPA189ID sich durch diese Korrekturen
verschlechtert, sollte man Offset- und Gain-Fehler besser mit der
Software korrigieren!*

4.1.6 Restwelligkeit
--------------------

Unter Restwelligkeit sind hier alle Störungen zusammengefasst, die
beabachtet werden konnten:
   • 50Hz Netz-Brumm
   • 60kHz Brumm vom Hochspannungsgenerator der Netzgeräte
   • 100Hz Spitzen der DAC-Schaltnetzteile
   • Rauschen der Elektronik

4.1.6.1 Messverfahren
.....................

Die Messung der Störungen erfolgte als Effektivspannung (RMS-Wert) mit
einem Keithley 2000 im VAC-Mode mit Filter = 10 und Rate = med oder
slow.  Der Frequenzgang sollte laut Anleitung abhängig von Filter und
Rate sein, ist es aber nicht.  Der VAC-Frequenzgang wurde mit einem
Sinussignal vermessen.

   Da der Eingang des Keithley2000 auf 1kV begrenzt ist, wurde zur
Messung der Spannungsabhängigkeit der Störung die HV-Spannung mittels
Spannngsteiler auf 1kV unterteilt, während der AC-Anteil über 100nF im
interessierenden Frequenzbereich in voller Höhe übertragen wird.  Da die
100nF nur für max.  1kV vorhanden waren konnten die spannungsabhängigen
Störungen nur bis 2kV gemessen werden.

Die Stromabhängigkeit der Störung wurde mit einem niederohmigen
Lastwiderstand (5k, 4W) gemessen um die Abhängigkeit von der Spannung
gering zu halten.

*Bewertung der RMS-Messwerte:* (Formeln in TEX-Schreibweise, s.h.  PDF
und DVI für grafische Formeln)
Da eine Messung der Verteilungsfunktion der Störspannungen mit Hilfe der
VDC Abtastwerte des Keithley 2000 erfolglos war (trotz abgeschaltetem
Filter und Fast-Mode werden nur niedere Frequenzen erfasst), soll
versucht werden an Hand von zwei Spezialfällen (Sinus, Rauschen) eine
Abschätzung der Energieauflösung der Kanone aus den gemessenen
Effektivwerten zu erhalten.

Mit ’Rauschen’ soll hier eine Störung U(t) verstanden werden, deren
Wahrscheinlichkeitsdichte W(U) eine Normalverteilung ist.  Dann lässt
sich der Effektivwert U_{eff} der Störung durch Integration von U^2 *
W(U) und anschließender Normierung bestimmen.  Es zeigt sich, dass der
Effektivwert gleich dem \sigma der Normalverteilung ist.

   U(t) = Rauschen(t)

   W(U) = \exp(-U^2/2\sigma^2)

   I = \int_{0}^{\infty} U^2 * W(U) dU = \sqrt{\pi/2} \sigma^3

   I_{0} = \int_{0}^{\infty} W(U) dU = \sqrt{\pi/2} \sigma

   U^2_{eff} = I/I_{0} = \sigma^2

   FWHM = 2\sqrt{2\ln(2)} \sigma = 2.3548...\sigma

Für eine Sinus-Störung U(t) ist der Effektivwert U^2_{eff} der
Mittelwert von U^2(t).  Damit erhält man eine Beziehung zwischen dem
gemessenen Effektivwert und den Spitzenwerten der Störung.  Die
Verteilungsfunktion F(U) für den Sinus ist gegeben durch den ArkusSinus
und die Wahrscheinlichkeitsdichte W(U) durch die Ableitung von F(U).

   U(t) = U_{s}\sin(\omega t)

   U^2_{eff} = 1/\pi \int_{0}^{\pi} U^2(x) dx = U^2_{s}/2

   U_{ss} = 2 U_{s} = 2 \sqrt{2} U_{eff}

   F(U) = \arcsin(U)

   W(U) = 1/\sqrt{1-U^2}

In der Grafik sind beide Wahrscheinlichkeitsdichten, normiert auf einen
Messwert von 1V_{eff}, gegenübergestellt.  Die Halbwertsbreite und die
Spitzenspannung sind markiert.  Sie liegen recht dicht zusammen und
lassen erwarten, dass die gemessenen Effektivwerte ein brauchbares Maß
für die Energieauflösung der Kanone sind.

4.1.6.2 Kathode Testaufbau
..........................

Die Messungen wurden mit den Kabeln durchgeführt, die anschließend auch
im Labor zum Einsatz kommen sollten.  Für die beiden
WWZ-Spannungszuführungen wurde jedoch ein gemeinsames Kabel verwendet.
Sowohl für WWZ- als auch Labor-Ground diente der Zentrale-Erdungspunkt
am Regelungseinschub.

   Die Störungen sind sowohl Spannungs- als auch Stromabhängig, wobei
der Strom einen eher geringeren Beitrag liefert.  Das Kepco hat in
seinem gesamten Spannungsbereich (+-100V) nur untergeordneten Anteil.
Einen deutlichen Einfluss auf das Maß der Störung hat der Wert des
Filterkondensators in der Filterbox vor der Kanone.  Der Wert kann
jedoch nicht beliebig hoch gewählt werden, da sonst eine schnelle
Ausregelung der Spannungssprünge im Scan-Betrieb nicht mehr
gewährleistet ist (see Step-Verhalten.).

4.1.6.3 Kathode Laborbetrieb
............................

Die Störungen wurden gemessen zwischen Kathode und WWZ1 (see
FilterBox.).  Proben für WWZ2 ergaben ähnliche Werte.  Die Störungen
werden verstärkt durch die zwei 10 Ohm Entkopplungswiderstände und
können durch parallel geschaltete Kondensatoren wieder verringert
werden.  Zunächst standen für diesen Zweck nur unipolare Kondensatoren
zur Verfügung.  Die Nachrüstung mit bipolaren einige Wochen später hat
leider nicht das erhoffte Ergebnis gebracht.  Der Grund dafür muss noch
untersucht werden.

     Bauteile von WWZ1/WWZ2 gegen Mittelabgriff
     [1]:  0/0  Ohm,    -/-    mF
     [2]: 10/10 Ohm,    -/-    mF
     [3]: 10/10 Ohm,  4.7/4.7  mF unipolar
     [4]: 10/10 Ohm,  9.4/4.7  mF unipolar
     [5]: 10/10 Ohm, 13.6/13.6 mF bipolar

     Kathode  Noise[mV-RMS] zwischen Kathode und WWZ1
      U[V]     [1]       [2]       [3]       [4]       [5]
     -----------------------------------------------------
        0                          9.2       8.5      13.7
       20      7.1      11.4       8.7       8.2      13.1
      100      6.9      11.0       8.6       7.9      13.0
      200      7.0      11.1       8.6       8.0
      300      7.3      11.2       8.9       8.3
      400      7.6      11.4       9.2       8.6
      500      8.0      11.7       9.6       9.0
      600      8.5      12.0      10.1       9.5
      700      9.0      12.3      10.5      10.0
      800      9.6      12.7      11.0      10.5
      900     10.2      13.2      11.6      11.1
In einem weiteren Test wurde die Masseverbindung zwischen Stangen-FUG
und Stangen-Regler entfernt (mögliche Brummschleife; see
FilterBox.).  Dies führte jedoch zu etwa einer Verdopplung der Störung
der Kathodenspannung.

4.1.6.4 Stangen Testaufbau
..........................

Die Messungen wurden mit kurzen Kabeln durchgeführt.
Die Störungen sind für das weniger gut gefilterte MCP140-2000 wie
erwartet deutlich höher, können jedoch durch einen höheren Wert des
Filterkondensators (30nF) für niedrige Spannungen deutlich reduziert
werden.  Die Abhängigkeit vom Strom ist nur von geringer Bedeutung.
Störungen und die Reaktion der Stangenspannung auf Scan-Schritte haben
nur eine untergeordnete Auswirkung auf die Energieauflösung der Kanone.

4.1.6.5 Stangen Laborbetrieb
............................

     Gemessen zwischen Stangen und Ground-Zuleitung,
     30nF Filter (see FilterBox.).

     Stangen U[V]     Noise[mV-RMS]
     -----------------------------------------------------
          0             11.2
        100             11.5
        200             12.3
        300             13.5
        400             15.1
        500             17.1
        600             19.4
        700             22.1
        800             25.0

4.1.7 Step-Verhalten
--------------------

4.1.7.1 Einschwingvorgang
.........................

*Kathode Testaufbau:*
Das dynamische Verhalten der Regelung auf Spannungssprünge ist abhängig
von dem Modus, in dem die Kanone betrieben wird.  Die Abhängigkeit von
der Kathodenspannung, der Strombelastung des Kathodennetzgerätes, dem
Lastwiderstand und dem Filterkondensator wurde im Testbetrieb (ohne
Kollektorstrom) untersucht.  Für den Lastwiderstand ist zu beachten,
dass er bezüglich DC- und AC-Spannungen unterschiedliche Werte annimmt
(R_{DC} = U/I, R_{AC} = dU/dI). Eine Messreihe von Michel Döring für den
Hochenergiemodus (Stangenspannung = 10%*Kathodenspannung) zeigt den
Unterschied:

Im Testbetrieb, ohne die Kanone, wurde dieses Verhalten mit Hilfe einer
zusätzlichen Spannung (MCP140-2000: manuell; Kepco: off) nachgebildet.
Rl bildet den Wechselstromlastwiderstand (Impedanz) und mit dem
MCP140-2000 kann ein zusätzlicher, konstanter Gleichstrom eingestellt
werden.

Die Messungen erfolgten mit einem HAMEG HZ52-Tastkopf (1/10, 10MOhm,
max.  600V) an einem HAMEG HM1507-3 Oszilloscop mit Tastkopf-Ground an
WWZ-Ground in der Filter-Box.  Eine Differenzmessung mit zwei Tastköpfen
und dem Labor-Ground als Tastkopf-Ground zeigte gleiche Ergebnisse.  Bei
Anschluss von Tastkopf-Ground an das Filter-Box-Gehäuse (Labor-Ground)
tritt ein ca.  17MHz ’Klingeln’ (200mVss, Dauer 1us) mit der doppelten
Periode (120kHz) des HCP140-3500 Schaltnetzteils auf.

Es zeigte sich, dass das Regelverhalten bei Spannungssprüngen im
Wesentlichen von der Impedanz (Wechselstromwiderstand, dU/dI) der Last
abhängt und kaum von Strom und Spannung.  Bei Lastwiderständen kleiner
ca.  (20-30)kOhm zeigt die Regelung aperiodisches Verhalten und bei
höheren Widerständen tritt Überschwingen bis maximal 2% des
Spannungssprunges auf (see Einschwingverhalten.).

*Kathode Laborbetrieb:*
Mit angeschlossener Kanone konnte kein wesentlicher Unterschied zum
Testbetrieb beobachtet werden.

*Stangen Testaufbau:*
Es tritt Überschwingen bis ca.  3% des Spannungssprunges bei ca.  0.8ms
Dauer auf (Filter Cf=25nF), das für die Funktion der Stangenspannung
vernachlässigbar ist.

*Stangen Laborbetrieb:*
Mit angeschlossener Kanone konnte kein wesentlicher Unterschied zum
Testbetrieb beobachtet werden.

4.1.7.2 Rätselhafte Zacken
..........................

*Kathode Testaufbau:*
Bei Spannungssprüngen zu niedrigeren Spannungswerten folgt je nach
eGun-Parametern in unterschiedlichem Abstand vom Einschwingvorgang ein
mehr oder weniger deutlicher Zacken im Spannungsverlauf.  Zwischen
Einschwingvorgang und Zacken liegt der Spannungsverlauf leicht unterhalb
des Sollwertes.

Dieses Verhalten der Regelung lässt sich durch die Eigenschaft des
HCP140-3500 erklären, dass es keine zurück fließende Ladung aufnehmen
kann.  Die Regelung der Kathodenspannung sorgt deshalb mittels Kepco
über die Glättungskondesatoren CF des HCP140-3500 so lange für eine
Entladung der Verbraucherkondensatoren Cf bis die überschüssige Ladung
über den Laststrom I entsorgt ist.  Am Spannungsverlauf des Kepco lässt
sich dieser Vorgang gut verfolgen.  Die Regelung fährt das Kepco nach
dem Spannungsprung dU im Verhältnis Cf/CF tiefer als den Sollwert
(woraus sich CF errechnen lässt: ca.  220nF). Damit übernimmt CF die
überschüssige Ladung von Cf.  Anschließend wird diese Ladung durch den
konstanten Laststrom I abgeführt.  Damit wäre der Vorgang eigentlich
erledigt.  Aber das HCP140-3500 benötigt noch Bedenkzeit (ca.  0.5 der
Entladezeit, max.  7ms) bis es wieder Strom liefert.  Die Folge ist,
dass CF weiter entladen wird und anschließend wieder geladen werden
muss.  Sowohl die Entlade- als auch die Laderampe führen durch die
verzögerte Reaktion der Regelung, abhängig von der Steilheit der Rampen,
zu einer Abweichung der Kathodenspannung vom Sollwert.  Dieses Verhalten
konnte auch durch eine Tina-Ti-Simulation (see Zacken-Untersuchung.)
gezeigt werden, womit die folgenden Grafiken erstellt wurden.

Mit den Erklärungen von zuvor lässt sich der Entladevorgang in folgende
Formel schreiben, mit dem Faktor A (ca.  1.5) um den verzögerten Start
des Stroms zu berücksichtigen.  Die Messungen am Testaufbau haben diesen
Zusammenhang bestätigt.
     T   Abstand des Zackens [ms]
     A   Faktor
     dU  Spannungssprung [V]
     Cf  Filterkondensator in der Filterbox [nF]
     I   Entladestrom [mA]
     T = A * dU * Cf / I

Mit steigendem Laststrom wandern die Zacken zum Spannungssprung hin.  Ab
ca.  4ms Abstand werden die Zacken kleiner und bei ca.  0.8ms
verschwinden sie ganz.  Dieser Punkt lässt sich recht gut beobachten.
Für Messungen mit unterschiedlichen Parametern (dU=1/2/5V, Cf=17/45nF,
CF=220nF) waren die Ströme um die 0.8ms zu erreichen stets kleiner als
1mA (see Zacken-Untersuchung.).  Nach den Messungen von Michel
Döring an der Elektronenkanone wird diese Grenze in keinem Betriebsmodus
unterschritten.  Dieses Verhalten des HCP140-3500 ist deshalb wohl eher
nur von akademischem Interesse...

*Kathode Laborbetrieb:*
(bearbeiten!)

*Stangen Testaufbau:*
Das MCP140-2000 verhält sich in Bezug auf die Zacken ähnlich wie das
HCP140-3500.  Jedoch erfolgt nicht nur bei der Entladerampe ein
Überschießen sondern auch bei der folgenden Laderampe was wiederum eine
etwa halb so lange erneute Entladerampe zur Folge hat.  Es ensteht so
eine ganze Folge von Rampen, die immer kleiner werden.  Auffällig ist
ferner, dass bei positiven Spannungssprüngen die Rückseite des
Überschwingers ebenfalls eine solche Rampenfolge erzeugt.

Wie für das HCP140-3500 tritt dieses Verhalten nur bei Strömen kleiner
1mA auf.  Für eine Energie von 100eV hat Michel (He-10%) jedoch einen
Strom von 0.5mA gemessen.  Da die Zacken aber nur ca.  3% des
Spannungssprunges betragen bei ca.  1ms Dauer sollten sie für die
Stangenspannung im Laborbetrieb keine Probleme bereiten.

*Stangen Laborbetrieb:*
(bearbeiten!)

4.1.8 Programmierung
--------------------

Die FUG HCN 140-2000/3500/6500 Netzgeräte zeigen sowohl bei einem
Spannungsanstieg als auch -Abfall einen exponentiellen Verlauf, dessen
Abklingzeit nur von der Last und Up/Down abhängig ist.  Auch jeder
Spannungssprung (z.B. 1000V/1100V) hat diese Abklingzeit:
               HCN 140-3500     HCN 140-6500      HCP 140-2000
             (reduz. ripple)     (standard)        (standard)
     Load      up     down       up    down        up    down
     4M      120ms   1000ms    120ms   300ms
     910k    150ms    200ms    125ms   125ms
     500k    150ms    150ms    125ms   125ms

Mit dem Ziel, das Kepco nicht zu übersteuern, müssen große (>100V)
Spannungsänderungen in einzelne kleinere Sprünge unterteilt werden, mit
den notwendigen Wartezeiten nach jedem Sprung.  Dabei kann jedoch
genutzt werden, dass das Kepco bis zu 100V der FUG-Verzögerung über die
Regelung ausgleicht.  Wählt man die Sprünge klein (z.B. 10V) so kann man
den steilen Anfangsbereich des exponentiellen Verlaufs nutzen.  Zu
kleine Sprünge würden allerdings die benötigte Systemzeit erhöhen.
     Mit
         U = U0 * exp(-t/Tau),
         t = -Tau * ln(U/U0)
     ergibt sich für einen einzigen Sprung von 1000V auf 50V:
         t = 3*Tau
     Für eine Folge von n kleinen Sprüngen
         dU = U0-U
     von 1000V bis 0V mit Kepco Ausgleich U0 ergeben sich folgende Zeiten:
     dU[V]    n     U0[V]     U[V]     t[Tau]     n*t[Tau]
        5    200      50       45       0.105        21
       10    100      50       40       0.22         22
       20     50      50       30       0.51         25.5
       10    100      80       70       0.133        13.3
       10    100     100       90       0.105        10.5
Schritte von 10V und ein maximaler Kepco Ausgleich von 100V liefern ein
gutes Ergebnis.  Man erhält eine lineare Rampe mit z.B.:
     1000V / (10.5 * 200ms) = 476V/s

Bei den folgenden Messungen am HCN 140-6500 (Last 910k, Tau 125ms) wurde
die "Ramp Speed" und die Schrittweite "Step" vorgegeben.  Über die
erreichte Rampe (dU/dt) wurde die benötigte Systemzeit T pro Schritt für
den MVME 162 Laborrechner ermittelt.  In der Systemzeit ist enthalten
die Zeit für die Programmierung der acht DACs und der zwei Timer-Boards,
sowie die Verarbeitung des Timer-Interrupts:
     Speed[V/s]   Step[V]    dU[V]    dt[ms]    dU/dt    T[ms]
      500           10        400      850       471     1.25
     1000            5        400      500       800     1.25
     1000           10        400      450       889     1.25
     1000           20        400      425       941     1.25

4.1.9 Schaltpläne
-----------------

4.1.9.1 Schaltplan der Kanone
.............................

Die unterschiedlichen Potentiale der Elektroden sind farblich
unterschieden.  Bei der Wechselwirkungszone ist dies aus unbekanntem
Grund jedoch missraten, sie müsste schwarz sein da sie mit der
Betriebserde von Rack 2 verbunden ist.

4.1.9.2 Spannungen und Ströme
.............................

In der zugehörigen Grafik stehen die Farben für die Potentialebene der
die Betriebserde eines Moduls angehört.  Die Verbindungspfeile zwischen
den Modulen zeigen den Signal- bzw.  Spannungsfluss.  Die Pfeile neben
den Verbindungslinien zeigen den negativen Stromfluss.  Von den
eGun-Elektroden sind nur Kathode, Wechselwirkungszone und Kollektor
explizit aufgeführt, alle anderen sind unter "weitere" zusammengefasst.

   Der Haupanteil des Elektronenstroms sollte von der Kathode zum
Kollektor fließen und von dort über das Kollektor-FUG zurück zur
Kathode.  Da für das Aufsammeln der Elektronen im Kollektor mit
geringeren Spannungen gearbeitet werden kann als die Kathodenspannung,
lässt sich die Belastung von Kollektor (Wärme) und FUG (elektrisch) auf
diese Weise deutlich niedriger halten.

   Das Kathoden-FUG hingegen muss die volle Spannung liefern, hat jedoch
erheblich geringere Ströme zu verkraften und benötigt deshalb ebenfalls
nicht die volle Leistung, die man aus Kathodenstrom und -Spannung
errechnen könnte.  Die anfallenden Ströme, die das Kathoden-FUG treffen,
summieren sich aus den auf die verschiedenen Elektroden auftreffenden
Elektronen (abzüglich Sekundärelektronen) und dem Strom über den
HV-Teiler.

4.1.9.3 Regelung der Kathoden-Spannung
......................................

Der Istwert der Regelung ergibt sich aus der Spannungsdifferenz zwischen
Kathode und Wechselwirkungszone.  Beide Spannungen werden möglichst nahe
an der Kanone gemessen und über Koax-Kabel gleichen Typs, die durch
Laborerde abgeschirmt sind, zur Regelung abgeleitet.  Dabei sollten die
beiden Kabel dicht nebeneinander verlegt werden damit die eingefangenen
Störungen gleich sind.

   Der Hochspannungsteiler untersetzt diese Spannungsdifferenz im
Verhältnis 1/400.  Da die Regelung als Istwert maximal 10V verarbeiten
kann, ist damit die Kanone bis 4kV zu betreiben.

   Der Regler hat als Betriebserde das Wechselwirkungspotential.  Der
Sollwert wird durch zwei 18 bit DACs vorgegeben, deren Ausgänge (0-10V)
mit unterschiedlicher Wichtung zum Sollwert summiert werden.  Durch
Soll-/Istwert-Vergleich wird mittels Integralregelung der Stellwert für
das Kepco BOP 100 erzeugt (sh.  auch: Alte Kanone).  Bezogen auf die
Kathodenspannug beträgt die durch die DACs gegebene Auflösung:
     DAC   Wichtung   Auflösung
     grob     1       15.25885 mV
     fein    1/10     1.525885 mV
   Zur Unterdrückung von Hf-Störungen haben sich 150nF (Cy-Typ!)
zwischen Betriebserde und Chassis-Erde bewährt.

   Das Kepco (+-100V) liefert die Betriebserde für das nachfolgende FUG.
Es hat als Betriebserde eine direkte Verbindung zum
Wechselwirkungspotential und darf nicht mit der Betriebserde des Reglers
(ebenfalls WWZ-GND) verbunden sein damit die Ströme der WWZ1/2 gemessen
werden können!

   Das nachfolgende FUG liefert die Kathodenspannung.  Es wird gesteuert
durch einen 16 bit DAC mit der selben Betriebserde wie das FUG. Die
Zuleitung erfolgt über ein zweiadriges Kabel, das mit Chassis-Erde
geschirmt ist.  Zur Unterdrückunng von Hf-Störungen haben sich 150nF
(Cy-Typ!)  zwischen Betriebserde und Chassis-Erde bewährt.

   Die WWZ besteht aus zwei Elektroden um die auftreffenden Ströme
getrennt messen zu können.  Die Regelung benötigt die Spannung innerhalb
der WWZ. Durch je einen Widerstand in den Ableitungen zur Regelung
werden die beiden Elektroden so weit entkoppelt, dass eine getrennte
Strommessung möglich ist.

   Durch diese Entkopplungswiderstände entsteht allerdings eine
Rückwirkung auf die Spannungs- und Strommessung:
   • Es wird der Mittelwert der Spannung zwischen den beiden
     WWZ-Elektroden gemessen.
   • Über den HV-Teiler und die Entkopplungswiderstände R fließt,
     abhängig von der Kathodenspannung U, ein Strom (1mA/4kV) zum
     WWZ-GND, der zu einem Fehler bei der Spannungsmessung führt.  Mit R
     = 10Ohm und U = 4kV ergibt sich eine maximale Fehlmessung für den
     Istwert der Regelung von 1mA * 10Ohm / 2 = 5mV.
   • Jede der beiden Strommessungen wird ebenfalls durch den
     HV-Teilerstrom um 0.5mA/4kV zu groß gemessen.
   • Für die Strommessungen kommt hinzu, dass die Entkopplung der beiden
     WWZ-Elektroden nicht vollständig ist.  Mit R = 10Ohm und einem
     Widerstand Ra < 0.5Ohm der Ableitungen zum WWZ-GND (die
     Strommessung erfolgt kontaktlos!)  ergibt die Rechnung für den
     Ausgleichsstrom I0 zwischen den Strömen I1 und I2 von WWZ1/2: I0 <
     Ra / 2R (I2 - I1). 	Für den eher pathologischen Fall (I2 - I1) =
     20mA wäre die Fehlmessung I0 < 0.5mA.

   Optional kann das Wechselwirkungspotential durch ein weiteres
Hochspannungsgerät in Verbindung mit einem Trenntrafo hoch gelegt
werden.

   Der Schutzleiter (SL) aller Module ist mit dem WWZ-GND verbunden und
dieser wiederum mit der Laborerde (Lab-GND) falls WWZ-GND nicht hoch
gelegt ist.

4.1.9.4 Steuerung der Hochspannungen
....................................

*Empfohlener Einsatz der DACs*
         Pot.Ebene   Box/Board/DAC/Bits  Typ
     U0    Grnd      Regl  1    0   18  DAC2758   Cath/P5 raw voltage
     U1    Grnd      Regl  1    1   18  DAC2758   Cath/P5 fine voltage
     U2  Kepco-Kath  Box1  1    0   16  DAC2752   Cath/P5: FUG 140-3500
     U3  Kepco-P1/5  Box1  2    0   16  DAC2752   P1/P4: FUG 140-2000
     U4    Grnd      Regl  2    0   16  DAC2752   P1/P4 voltage
     U5    Grnd      Box1  3    0   16  DAC2752   P2/P3: TREK 609E-6
     U6    Kath      Box2  1    0   16  DAC2752   P6: FUG 140-6500
     U7    Kath      Box2  1    1   16  DAC2752   Coll.: FUG 4200-3500
     Reserve               1        18  DAC2758
     Reserve               5        16  DAC5541
     Reserve         Box3
     Die DAC-Boards müssen mit der Firmware PSO32 programmiert sein.

4.1.9.5 Kabelverbindungen
.........................

4.1.9.6 FilterBox
.................

4.1.10 Testdaten
----------------

4.1.10.1 Einschwingverhalten
............................

     Uk  Kathodenspannung, negativ
     dUk Spannungssprung, neg./pos.
     Rl  Lastwiderstand parallel zu 4MOhm Spannungsteiler, 10MOhm Tastkopf
     Cf  Filterkondensator in der Filterbox

     Rl=10k, Cf=(10,20)nF, dUk=+-2V, Uk=(10,20,50,100)V:
       aperiodisch, ca 0.6ms bis zum Rauschen

     Rl=25k, dUk=+-5V, Uk=(20,50,100,200,300)V:
       Cf=10nF: aperiodisch, ca 0.3ms bis zum Rauschen
       Cf=20nF: minimales Überschwingen, ca 0.6ms bis zum Rauschen

     Rl=100k, dUk=+-5V, Uk=(20,50,100,200,300)V:
       Cf=10nF: (0.5-1)% Überschwingen, ca 0.5ms bis zum Rauschen
       Cf=20nF: (1-1.5)% Überschwingen, ca 0.5ms bis zum Rauschen

     Rl=500k, Uk=(20,50,100,200,500,800)V:
       Cf=10nF, dUk=+5V: (-,-,1,1,0.5,?)% Überschwingen, ca 0.3ms
       Cf=10nF, dUk=-5V: (.5,1,1,1,.5,.5)% Überschwingen, ca 0.3ms
       Cf=20nF, dUk=+5V: (.5,.5,1,2,1,.5)% Überschwingen, ca 0.3ms
       Cf=20nF, dUk=-5V: (2,2,2,2,1,1)% Überschwingen, ca 0.3ms

     Rl=---, Uk=(20,50,100,200,300,400)V:
       Cf=10nF, dUk=+5V: (-,-,-,-,.5,.5)% Überschwingen, ca 1ms
       Cf=10nF, dUk=-5V: (1,1,1,1,1,1)% Überschwingen, ca 1ms
       Cf=20nF, dUk=+5V: (.5,.5,.5,-,-,-)% Überschwingen, ca 1ms
       Cf=20nF, dUk=-5V: (1.5,1.5,1.5,1.5,1,1)% Überschwingen, ca 1ms

4.1.10.2 Zacken-Untersuchung
............................

     dUk Spannungssprung
     Uk  Kathodenspannung
     Rl  totaler Lastwiderstand
     Cf  Filterkondensator in der Filterbox
     Uh  Hilfsspannung
     T1  min. Grenze für Zacken = Ende Einschwingvorgang
     I1=(Uk+Uh-dUk)/Rl  notwendiger Strom damit Zacken verschwindet

     dUk       Uk      Rl         Cf       Uh         T1        I1
     [V]      [V]    [Mohm]      [nF]      [V]       [ms]      [uA]
      5        20     0,800      45,0     456,0       0,8     588,8
      5        35     0,800      45,0     423,0       0,8     566,3
      5        50     0,800      45,0     387,0       0,8     540,0
      5        65     0,800      45,0     354,0       0,8     517,5
      5        80     0,800      45,0     316,0       0,8     488,8
      5        95     0,800      45,0     303,0       0,8     491,3
      5       110     0,800      45,0     269,0       0,8     467,5
      5       125     0,800      45,0     256,0       0,8     470,0
      5       140     0,800      45,0     224,0       0,8     448,8
      5       155     0,800      45,0     199,0       0,8     436,3
      5       170     0,800      45,0     184,0       0,8     436,3
      5       185     0,800      45,0     166,0       0,8     432,5

     dUk       Uk      Rl         Cf       Uh         T1        I1
     [V]      [V]    [Mohm]      [nF]      [V]       [ms]      [uA]
      2        20     0,800      45,0     134,0       0,8     190,0
      2        35     0,800      45,0     172,0       0,8     256,3
      2        50     0,800      45,0     157,0       0,8     256,3
      2        65     0,800      45,0     117,0       0,8     225,0
      2        80     0,800      45,0      77,0       0,8     193,8
      2        95     0,800      45,0      52,0       0,8     181,3
      2       110     0,800      45,0      32,0       0,8     175,0
      2       125     0,800      45,0      19,0       0,8     177,5

     dUk       Uk      Rl         Cf       Uh         T1        I1
     [V]      [V]    [Mohm]      [nF]      [V]       [ms]      [uA]
      1        20     0,800      45,0      61,0       0,8     100,0
      1        35     0,800      45,0      46,0       0,8     100,0
      1        50     0,800      45,0      46,0       0,8     118,8
      1        65     0,800      45,0      34,0       0,8     122,5
      1        80     0,800      45,0       1,5       0,8     100,6

     dUk       Uk      Rl         Cf       Uh         T1        I1
     [V]      [V]    [Mohm]      [nF]      [V]       [ms]      [uA]
      5        20     0,800      17,0     114,0       0,8     161,3
      5        35     0,800      17,0     133,0       0,8     203,8
      5        50     0,800      17,0     137,0       0,8     227,5
      5        65     0,800      17,0     111,0       0,8     213,8
      5        80     0,800      17,0      70,0       0,8     181,3
      5        95     0,800      17,0      45,0       0,8     168,8
      5       110     0,800      17,0      25,0       0,8     162,5
      5       125     0,800      17,0       1,4       0,8     151,8

4.2 LWL-Repeater
================

Jede DAC-Karte beherbergt zwei DACs, die jedoch ein gemeinsames
Masse-Potential haben und deshalb nicht ohne Wechselwirkungen zum
Steuern von zwei HV-Netzgeräten verwendet werden können.  Um die Anzahl
der PSO-Karten zu reduzieren, kommt der LWL-Repeater zum Einsatz.  Er
ist durch Umprogrammieren des obsoleten LWL-CAN-Bus-Repeaters
entstanden.  Er verzweigt einen LWL-Eingang auf zwei LWL-Ausgänge um
zwei DAC-Karten simultan zu steuern.

4.3 Dual 16/18-Bit standalone DAC-Boards
========================================

4.3.1 Aufbau
------------

Für diese DAC-Karten wurden sogn.  Demo-Boards DC1684A mit den DACs
LTC2752 (16 Bits) bzw.  LTC2758 (18 Bits) verwendet, die auf eine
Europakarte mit Netzteil, LWL-Empfänger, Offset-/Gain-Abgleich und einem
FPGA zur Steuerung montiert sind.

   Beide Varianten dieser DACs verhalten sich bezüglich der
Programmierung im Rahmen ihrer Möglichkeiten gleich.  Bei den 16
Bit-DACs kommen die zwei niederwertigsten Bits nicht zur Anwendung:
   • Dual 18 Bit DAC LTC2758 auf DC1684A-A Board
     Firmware: dac2758-18-pso32
     Bereiche [V] bei 0 - 0x3ffff digital: 0..+5, 0..+10, -2.5..+2.5,
     -5..+5, -10..+10, -2.5..+7.5
   • Dual 16 Bit DAC LTC2752 auf DC1684A-B Board
     Firmware: dac2752-16-pso32
     Bereiche [V] bei 0 - 0x3ffff digital: 0..+5, 0..+10, -2.5..+2.5,
     -5..+5, -10..+10, -2.5..+7.5
   Die DAC-Karten besitzen ein eigenes Netzteil und benötigen nur 230V
AC zu ihrem Betrieb.  Die Spannungszuführung und Signalabführung
erfolgen über eine VG-Steckerleiste in den DAC-Boxen zu deren Rückseite.
Zusätzlich verfügen sie über einen dreipoligen Stecker zur
Spannungszuführung und 2 * 2 Steckerstifte für die Ausgangssignale auf
dem Board als Einbauversion.

4.3.2 Funktion
--------------

Die DAC-Karten werden über Lichtleiter angesteuert und sind deshalb für
einen Betrieb auf höherem Potential geeignet.  Als passender
Lichtleitersender wurde das PSO14-Control-Routing-Board mit Firmware
PSO32 entwickelt.  Die Datenübertragung benötigt ca.  19us.

   *Die Ausgänge der DACs sind potentialfrei, deshalb ist Folgendes zu
beachten:*
   • *Der Masse-Pol muss mit einem definierten Potential (max.  500V
     gegen Schutzerde) beschaltet werden.*
   • *Die beiden Masse-Pole einer DAC-Karte sind verbunden und müssen
     deshalb auf dem selben Potential liegen.*
   • *Bei höhergelegtem Potential der Ausgänge ist aus
     Sicherheitsgründen eine Kabelverbindung mit Schutzerde-Schirmung zu
     verwenden.*
     Werden die DACs in den zugehörigen Boxen betrieben, so steht
     Schutzerde auf Pin 2 der Diodenstecker zur Verfügung zum Anschluss
     der Schirmung.
          	Pin   Signal
          	 1    Out
          	 2    Schutzerde
          	 3    Masse

4.3.3 Bedienelemente
--------------------

Weitere Infos siehe: DEMO MANUAL DC1684A und LTC2752/LTC2758 Data Sheets

   *Manuelle Einstellung des Spannungsbereichs auf dem DC1684A-Board*
     Jumper MSPAN
              0   programmierte Einstellung, beide DACs getrennt
              1   manuelle Einstellung mittels Sn, beide DACs gemeinsam

     Jumpers  S2   S1   S0
               0    0    0     0V to 5V
               0    0    1     0V to 10V
               0    1    0    -5V to 5V
               0    1    1   -10V to 10V
               1    0    0  -2.5V to 2.5V
               1    0    1  -2.5V to 7.5V

   *Offset und Gain Abgleich*
Mittels vier Potis können, falls nötig, Offset und Gain abgeglichen
werden wenn die zugehörigen Jumper auf EXT gesetzt sind:
          Poti      Jumper
         Offset-A   VOSADJA
         Gain-A     GEADJA
         Offset-B   VOSADJB
         Gain-B     GEADJB

   *Weitere Jumpers mit fester Einstellung*
     Jumper   Position
     VREFA       5V      Referenzspannungsquelle DAC-A
     VREFB       5V      Referenzspannungsquelle DAC-B
     VCC         REF     5V Spannungsquelle
     !CLR         1      Asynchrones Clear
     !LDAC        1      Asynchrones Load
     !RFLAG       1      Reset Flag Output

   *Anschlüsse und Testpunkte*
     LWL-Buchse       :  Lichtleiterempfänger
     DACA Stecker OUTA:  Kanal A analoges Ausgangssignal
     DACA Stecker GNDA:  Kanal A analoge Masse
     DACB Stecker OUTB:  Kanal B analoges Ausgangssignal
     DACB Stecker GNDB:  Kanal B analoge Masse
     TP 0             :  Serielle LWL Daten
     TP 1             :  Serielle DAC Daten
     TP 2             :  DAC Chip Select
     TP 3             :  DAC Clock

     230 V Netzspannung an Steckerleiste VG32AC:
     24 a,c   Nullleiter
     28 a,c   230V Leiter
     32 a,c   Schutzleiter

     230 V Netzspannung an Stecker:
     ???   Nullleiter
     ???   230V Leiter
     ???   Schutzleiter

4.3.4 Programmierung
--------------------

Die DAC2752/2758-Karten erhalten ihre Daten über Lichtleiter.  Ein
geeigneter LWL-Sender ist die PSO14-Karte mit Firmware PSO32.

   Das Format der DAC-Daten ist das gleiche für die DAC2752- und
DAC2758-Karten.  Für die DAC2752-Karten werden die beiden
niederwertigsten Bits jedoch nicht verwertet.  Die Read Back Funktion
der DACs wird nicht unterstützt.
Bit-Folge, MSB zuerst:
      4 Bit   DAC-Kommando
              0 0 1 0    Write Span DACn
              0 0 1 1    Write Code DACn
              0 1 0 0    Update DACn
              0 1 0 1    Update all DACs
              0 1 1 0    Write Span DACn, Update DACn
              0 1 1 1    Write Code DACn, Update DACn
      4 Bit   DAC-Adresse
              0 0 0 x    DACA
              0 0 1 x    DACB
              1 1 1 x    all DACs
     Danach folgt der DAC-Code bzw. der Span-Code, MSB zuerst:
     18 Bit   DAC-Code   / 12 Bit   don't care
      6 Bit   don't care / 04 Bit   Span-Code
                         /  8 Bit   don't care

4.3.5 Probleme und Lösungen
---------------------------

   *Durchlaufverzögerung des LWL-Empfängers SFH551V*
Der SFH551V ist relativ zum Bit-Takt (400ns) ziemlich lahm.
Insbesondere störend für das Timing sind die unterschiedlichen
Durchlaufverzögerungen für Licht-an und Licht-aus, die zu einer
Verkürzung des elektrischen Licht-aus Signals um bis zu max.  150ns
führen, je nach Intensität des LWL-Signals und Temperatur.  Hinzu kommen
noch 50ns Unschärfe durch das Einsychronisieren auf den internen
Clock-Takt (20MHz).  Das Timing kann bis auf 200ns verkürzte Bits sicher
erkennen, gemessen am Ausgang des SFH551V. Im Zweifel hilft ein längeres
LWL-Kabel.
Auf einer PSO14-Karte musste ein LWL-Sender ausgetauscht werden da er zu
hell war und den SFH551V völlig übersteuerte.

   *Einschwingverhalten*
Das Einschwingen erfolgt exponentiell mit folgenden Halbwertszeiten:
       Bereich [V]   0 - 5   0 - 10
     DAC2752         200ns    500ns
     DAC2758         150ns    250ns

   *Verhalten beim An-/Abschalten der DAC-Karten*
Beim Anschalten der DAC-Karten pendelt die Ausgangsspannung, vermutlich
abhängig von dem Verhalten der Spannungsversorgung, zwischen erheblichen
positiven und negativen Werten.
Verhalten bei dem HAMEG HM8040-2 Triple Power Supply:
      DAC2752          DAC2758
      1ms  -0.5V       1ms   -2V
     50ms  0->4V      0.1ms   1V
     0.5ms  6V        50ms   -0.5->0V
                       1ms    3V

   *Störungen durch das Schaltnetzteil*
Die Messungen wurden als Differenzmessung mit zwei Tastköpfen
durchgeführt.  Dabei ist das Ergebnis abhängig von der Tastkopferdung.
Bei den Messungen am Ausgang der DAC-Boxen waren die Störungen z.B.
deutlich geringer wenn beide Tastkopferdungen mit der Schutzerde der Box
verbunden waren.

Für die verbauten Morsun Schaltnetzteile wird Ripple & Noise mit max.
100mVss im Datenblatt angegeben.  Tatsächlich wurde auf den
Morsun-Ausgängen eine gedämpfte Hf-Störung (~2MHz, ~150mVss) im Takt der
Schaltfrequenz (T~7/14us) angeregt, die auch genau so auf den
DAC-Ausgängen zu beobachten war.

Mit folgenden Änderungen konnte die Hf-Störung für die DAC2752/2758
erheblich reduziert werden:
  1. Nachrüsten der vergessenen 100nF SMD-Kondensatoren an den
     Morsun-Ausgängen.
  2. 10nF, Cy zwischen Schutzerde und 5V-GND.
  3. 3.9nF, Cy zwischen Schutzerde und +-15V-GND.
     (3.9 + 6.8)nF führten zu keiner weiteren Verbesserung.
     5V-GND und 15V-GND sind auf der DAC-Karte verbunden.
     Vor (1) führten 10nF zu einem Hin- und Herflippen im Sekundentakt.
  4. Standard-Einbaustecker mit Netzfilter in Netzzuleitung und einem
     zusätzlichen 20nF Entstörkondensator zwischen den Zuleitungen, ohne
     den das Ergebnis aber gleich war.
Mit diesen Maßnahmen lässt sich die Hf-Störung auf einen durch den
Schaltvorgang hervorgerufenen low/high-Zacken (je 100ns) von 10mVss
reduzieren.  Dazwischen ca.  5mVss Restwelligkeit.

Bei Betrieb der Karte in einer der DAC-Boxen erhält man am Diodenstecker
das gleiche Ergebnis.  Allerdings erst nach Umlöten der falsch gepolten
Netzfilter (Line - Load vertauscht).  Alle Karten in der Box haben ein
gemeinsames Netzfilter.

4.3.6 Einsatz bei der Elektronenkanone
--------------------------------------

         Pot.Ebene   Box/Board/DAC/Bits  Typ
     U0    Grnd      Regl  1    0   18  DAC2758
     U1    Grnd      Regl  1    1   18  DAC2758
     U2  Kepco-Kath  Box1  1    0   16  DAC2752
     U3  Kepco-P1/5  Box1  2    0   16  DAC2752
     U4    Grnd      Regl  2    0   16  DAC2752
     U5    Grnd      Box1  3    0   16  DAC2752
     U6    Kath      Box2  1    0   16  DAC2752
     U7    Kath      Box2  1    1   16  DAC2752
     Reserve               1        18  DAC2758
     Reserve               5        16  DAC5541
     Reserve         Box3

   *FUG-Steuerung*
Getestet wurde mit dem alten, 1.5kV FUG (Plus-Pol geerdet).
*!!!Achtung: mit geerdetem Minus-Pol liegen die DAC-Anschlüsse auf
Plus-HV-Potential!!!*
Der Anschluss erfolgte von einer DAC-Box über 1.5m geschirmtes Kabel.
Die Schirmung war mit der Schutzerde der DAC-Box verbunden und hatte
keine Verbindung mit dem FUG.

Gemessen am FUG-Eingang treten gedämpfte Schwingungen auf:
     100mVss, 10MHz
Mit 150nF oder galvanischer Verbindung zwischen Masse und Schutzerde am
zur Karte gehörenden Nachbar-Ausgang der DAC-Box reduziert sich die
Störung:
     50mVss, 10MHz
Diese HF-Störung wirkt sich nur unwesentlich auf den FUG-Ausgang aus:
        off   0   14   [V] FUG HV
        10   10   10   [mVss] Rauschen
         0   40   40   [mVss] HF Spitzen, weniger wenn DAC off
         0   20   20   [mVss] 50Hz Brumm

   *Kathodenspannung*
Über die beiden DACs einer im Regeleinschub eingebauten DAC-Karte wird
der Sollwert (grob/fein) vorgegeben.  Den Istwert erzeugt ein 1/400
HV-Teiler aus der FUG-Hochspannung.  Ein Integralregler liefert den
Stellwert für das Kepco.  Das Kepco gibt die Vorspannung für das FUG.

Durch die Regelung wird der 50Hz Brumm des alten FUG auf <10mVss
reduziert.  Im Takt der 50Hz Halbwellen ist jedoch für 5ms eine
andauernde HF-Störung zu sehen.

Folgendes wurde untersucht um die Ursache der Störung zu finden:
  1. Alles an: 50mVss, 5ms, 50Hz synchron; 150mVss Spitzen am Ende;
     anschließend 5ms Pause; <10mVss Brumm
  2. Regelung aus: gleiches Ergebnis bei 20mVss Brumm.
  3. FUG aus: gleiches Ergebnis ohne Brumm.
  4. Regelung und FUG aus: gleiches Ergebnis ohne Brumm.
  5. Kepco aus: 2Vss Brumm (halbe Halbwelle!), aber nur wenn der FUG-DAC
     angeschlossen und angeschaltet ist und nicht wenn die
     DAC-Masseleitung mit Schutzerde verbunden ist.
  6. 150nF an Kepco-HV-Ausgang: verringert die Störung nicht.
  7. 150nF an FUG-HV-Eingang: verringert die Störung deutlich.
     Die Anstiegszeit (~50us) wird etwas kürzer (!), das Überschwingen
     verstärkt sich.
  8. 150nF zwischen Masse und Schutzerde am FUG-DAC-Nachbarausgang:
     ähnliches Ergebnis wie zuvor jedoch größere Hf-Spitzen.
  9. 150nF am FUG-DAC-Nachbarausgang der DAC-Box zwischen Masse und
     Signal bringt keine Reduzierung der Störung.
  10. 330nF, 250V Cy am Ausgang der Regelung zwischen Masse und
     Schutzerde beseitigt die HF-Störungen durch die Regelung (DAC-Box
     abgeschaltet).
     Galvanische Verbindung führt zu 50Hz-Brumm durch Brummschleife.
     Hat keinen Einfluss auf das Einschwingverhalten der Regelung.
  11. 250nF, 5kV am Eingang der Regelung zwischen Masse und HV-Signal
     bügelt alle HF-Störungen aus.

Folgendes wurde zur Reduzierung der Störungen unternommen, gemessen am
HV-Eingang der Regelung:
  1. 330nF, 250V Cy am Ausgang der Regelung zwischen Masse und
     Schutzerde beseitigt die HF-Störungen durch die Regelung. 	Hat
     keinen Einfluss auf das Einschwingverhalten der Regelung.
          FUG: 0V, Kepco: 25V - 0V
          Rauschen  Brumm  HF  Spitzen  [mVss]
             10       10    -     20   FUG-DAC off
  2. 150nF, 250V Cy am Nachbarausgang der DAC-Box zwischen Masse und
     Schutzerde beseitigt die HF-Störungen durch den FUG-DAC in der Box,
     hat jedoch einen Einfluss auf das Einschwingverhalten der Regelung.
     Der Überschwinger bei einem Spannungssprung (10V) erhöht sich von
     0.5% auf 0.75% und die 50%-Anstiegszeit vermindert sich von 40us
     auf 35us.
          FUG: 14V, Kepco: 25V - 14V
          Rauschen  Brumm  HF  Spitzen  [mVss]
             10       10   40     50   FUG-DAC on,
             10       10  <10     20   FUG-DAC on, 150nF am Nachbarausgang
  3. 250nF, 5kV an der Kanone zwischen Kathode und WW-Zone ist recht
     unhandlich, könnte aber auch interessant werden...

   *50Hz-Brumm an KEPCO Ausgang:*
Die DAC-Ausgänge haben je nach dem wo sie positioniert sind einen
geringen Brummanteil (<5mVss).  Im Verbund mit der
Kathodenspannungsregelung (Spannungsteiler, Regelung, KEPCO) tritt
jedoch zum Teil erheblicher Brumm auf.
     Alle Geräte abgeschaltet und Netzstecker von:
        Regelung     aus   ein   ein   ein   ein   ein   ein
        KEPCO        aus   aus   ein   aus   ein   ein   gedreht
        FUG          aus   aus   aus   ein   ein gedreht ein
        Brumm [mVss]   2     2    10     5    15    30    30

     Alle Geräte eingeschaltet, 1/200 Teiler:
        ohne Masseverbindung zwischen den Geräten:       60mVss
        mit Masseverbindung zwischen Regelung und KEPCO: 60mVss
        mit Masseverbindung zwischen Regelung und FUG
          und spezieller Leitungsführung:                10mVss

     Alle Geräte eingeschaltet, 1/1000 Teiler:
        ohne Masseverbindung zwischen den Geräten:           600mVss
        mit Masseverbindung zwischen Regelung und KEPCO:    1000mVss
        mit Masseverbindung zwischen Regelung, Teiler, KEPCO: 80mVss
          Lässt sich durch zusätzliche Verbindung vom
          Deckel der Regelung zum Teiler noch reduzieren:     30mVss
        mit Masseverbindung zwischen Regelung und FUG:       200mVss
        mit Masseverbindung zwischen Regelung, Teiler, FUG:  200mVss

4.4 8-Kanal 12-Bit ADC-Boards
=============================

4.4.1 Funktion
--------------

Die 8-Kanal 12-Bit ADC-Karte wurde entwickelt um die Plattenströme der
neuen Elektronenkanone in Labor 017 zu überwachen.
   • Die analogen Signale werden über einen 25-poligen SubD-Stecker
     angeschlossen.  Die Steckerbelegung ist auf der Seite des
     Stromsensor-Einschubs dummerweise anders:
          Kanal       ADC-Board          Sensor-Einschub
                       +     -             +     -
            0          1     2             1    14
            1          3     4             2    15
            2          5     6             3    16
            3          7     8             4    17
            4          9    10             5    18
            5         11    12             6    19
            6         14    15             7    20
            7         16    17             8    21
   • Die Schirmung erfolgt auf der Senderseite.
   • Die Signale waren auf der Senderseite potentialfrei verdrahtet.
     Dies hat jedoch zu einem erheblichen 50Hz Brumm (3Vss) geführt, der
     nach einem Verbinden der Minus-Signale in der Sensor-Box mit
     Labor-Ground verschwindet.
   • Die Minus-Signale sind auf dem ADC-Board mit der Analogmasse
     verbunden.
   • Die ankommenden analogen Signale werden durch acht ’Instrumentation
     Amplifier’ (AD620B) mit Gleichtaktunterdrückung empfangen.  Eine
     Twisted-Pair Kabelverbindung ist deshalb empfehlenswert.
   • Die Eingänge der AD620B werden mittels Diode zu den
     Versorgungsspannungen vor Überspannungen geschützt.  Dabei dürfen 6
     mA auf Dauer nicht überschritten werden.  Um dies bei fehlenden
     Versorgungsspannungen zu vermeiden, sollten die Zuleitungen mit 10
     kOhm in Serie beschalten werden.
   • Unbenutzte Eingänge müssen abgeschlossen werden (0 - 1 MOhm), da
     sich sonst mit der Zeit eine negative Spannung aufbaut, die
     drastische Fehlmessungen des nachfolgenden ADCs zur Folge hat.
   • Als Eingangsspannung sind 0V - +10V, entsprechend 0 - 4095 digital,
     zugelassen (1 LSB = 2.44 mV).
   • Es sind keine Trimmer vorgesehen zur Korrektur von Nullpunkt- und
     Verstärkungsfehlern.
     Der Offset lag bei beiden Boards bei ca.  -18 mV und ist nicht
     durch die Spezifikationen der verwendeten Halbleiter zu erklären.
     Möglicherweise ist er bedingt durch die Leiterbahnführung auf den
     Boards.
     Die Genauigkeit der Verstärkung ist gegeben durch die verwendete
     Widerstandsserie (1%).  Durch Korrekturwiderstände könnte sie
     verbessert werden.
   • *!!!  Warnung !!!*
     Der MCP3208B ADC Baustein ist mehrfach kaputt gegangen.  Vermutlich
     immer wenn die Karte bei eingeschaltetem Überrahmen gesteckt oder
     entfernt wurde!  Ferner sind zwei Exemplare im Laborbetrieb
     verstorben.  Möglicherweise durch den negativen Anteil des Brumms
     (-1.5V, s.o.)?  Auch ergeben sich je nach Betriebsmodus der Kanone
     einzelne negative Ströme, die jedoch durch die Sensoren begrenzt
     sind auf ????V.

4.4.2 Bedienelemente
--------------------

     LED "Busy " :  Anzeige einer Schreiboperation
     TP          :  Testpunkt zur Ausgabe von internen Signalen des ispLSI1032E

4.4.3 Programmierung
--------------------

Die MCP3208-Karte belegt eine Control-Routing-Adresse für Ein/Ausgabe
(Siehe: Address-Decoder).  Mit der Ausgabe der ADC-Kanalnummer startet
der ADC die Konvertierung des Analogsignals des angegebenen Kanals.  Die
Konvertierung benötigt 19 * 600ns = 11400ns.  Während dieser Zeit wird
das Acknowledge-Signal (AddAcc) für die Adressierung unterdrückt und
erneute ADC-Starts werden ignoriert.  Eingaben während dieser
Konvertierungsphase liefern ungültige Werte und haben als Kennung das
höchstwertige Bit gesetzt (0x8xxx).  Dies könnte neben der Abfrage des
AddAcc-Signals ebenfalls zur Synchronisierung mit dem ADC genutzt
werden, es hat sich jedoch gezeigt, dass eine solche Eingabeoperation
auf der Analogseite zu einer erheblichen Störung führt (ca.  30mV
Schwankungen im Ergebnis).  Nach der Konvertierungsphase kann das 12-bit
Ergebnis beliebig oft mit einem Eingabebefehl abgerufen bzw.  eine neue
Konvertierung gestartet werden.

   Zur Synchronisation mit dem ADC stehen zwei Statusabfragen zur
Verfügung.  Die Abfrage des Routing Status ist die bessere Variante da
eine Dateneingabe mit Prüfung des Statusbits auf der ADC-Karte zu einer
digitalen Störung führt!
     Register Ausgabe:   Ausgabe der Kanalnummer
         Bits 15..04     0
         Bits 03..00     Kanalnummer 0-7

     Register Eingabe:   Status/ADC-Daten Eingabe
         Bit 15 == 1     ADC busy, Daten ungültig
         Bit 15 == 0     ADC ready, Daten gültig
         Bits 11..00     ADC Daten

     Routing Status Eingabe:
         (Routing Status & 0x0008) != 0 -> ADC busy, Daten ungültig
         Diese Statusabfrage ist nur bei Verwendung einer neuen
         Address-Decoder-Karte (EW 3/04) möglich da die alten
         ebenfalls dieses Bit bedienen.
         (Siehe: Address-Decoder)

4.4.4 Analoge Bauteile
----------------------

Die acht Eingänge sind mit dem AD620B Instrumentation Amplifier
bestückt:
                         Typ     Max
     Nonlinearity        10      95   ppm
     Gain Error         0.10    0.15  %
     Input Offset        15      50   uV
     Output Offset      200     500   uV

   Die Konvertierung erfolgt mit einem 12-bit, 8-Kanal ADC MCP3208B:
                                     Typ     Max
     Integral Nonlinearity        +-0.75    +-1   LSB
     Diffenrential Nonlinearity   +-0.5     +-1   LSB
     Offset Error                 +-1.25    +-3   LSB
     Gain Error                   +-1.25    +-5   LSB
     ( 1 LSB = 2.4414 mV)

5 Oldies
********

5.1 Alte Elektronenkanone
=========================

*GUNLO (eGUNLOop)*
Externer Regelkreis zur Steuerung und Regelung der Kathoden- und
Stangenspannung der Hochstrom-Elektronen-Kanone im Labor 017.
Autor: W.Arnold (1.12.97)

*A) Funktionsbeschreibung für Kathodenspannung:*
Siehe hierzu Blockschaltbild gunlo03a.sch.
Die Kathodenspannung wird von einem FUG Netzgerät MTN 750-1500 (1,5KV,
0,5A) geliefert, welchem ein bipolares Kepco-Netzgerät BOP 100-1M
(+-100V, 1A) untergestockt ist.  Damit ist es möglich Kathodenspannungen
bis 1,6 KV zu erzeugen.  Die Steuerung und Regelung der Kathodenspannung
erfolgt in einem separaten Regeleinschub (ESGUNLO3).  In diesem befindet
sich ein 1:200 Spannungsteiler von welchem der untersetzte Istwert der
Kathodenspannung einer Regelerkarte (gunlo01) zugeführt wird.  Der
Sollwert der Kathodenspannung wird von zwei 16-Bit DAC-Karten (DAC16B01)
erzeugt.  Deren Ausgangswerte ("offset" und "sweep") werden auf der
Reglerkarte so addiert, dass sich für "offset" ein Vollsauschlag von
2048*(1-1/2E16) Volt und für "sweep" ein Vollausschlag von
256*(1-1/2E16) Volt ergibt.  Der Integrator vergleicht Ist- und Sollwert
und steuert mit seinem Ausgang das Kepco-Netzgerät an, welches als
Spannungfolger mit Verstärkung v=10 beschaltet ist.
Der DAC des FUG-Netzgerätes liefert bei Vollausschlag +10 Volt, was
einer Ausgangsspannung von 1500 Volt entspricht.  Um mit dem "sweep" den
Spannungshub von +-100V des Kepco-Netzgerätes voll ausnutzen zu können,
sollte die Ausgangsspannung des FUG-Netzgerätes auf U-out= U-offset+100
Volt eingestellt werden.
Der Stangenkreis ist wie der Kathodenkreis aufgebaut.  Es gilt:
U-Stangen = -0,3*U-Kathode.  Um beide FUG-Netzgeräte mit identischem
seriellen Bitmuster ansteuern zu können, wurde das Stangen-Netzgerät auf
eine Ausgangsspannung von 500 Volt bei einer DAC- Ausgangsspannung von
+10 Volt abgeglichen.

*B) Beschreibung der einzelnen Komponenten:*

   _1) DAC-Karten DAC16B01_
Eine ausführlich Beschreibung findet sich bei der Dokumentation des
DAC-Einschubes (DACEISCH.DOC). Hier sei lediglich bemerkt, dass alle
Karten auf 2.4576MHz Taktfrequenz und nicht invertiertes Datenformat
gejumpert sind.

   _2) Kathodennetzgerät (FUG MTN 750-1500)_
Das Gerät wurde mit optogekoppelter DAC-Karte nachgerüstet, welche auf
dem Potential des +Ausganges liegt.  Es kann sowohl manuell als auch
ferngesteuert betrieben werden.  Maximale Ausgangspannung bei
Fernsteuerung: 1500 Volt.  Der TTL-kompatible serielle Fernsteuereingang
hat einen Eingangswiderstand von ca.  50 Ohm.

   _3) Stangennetzgerät (FUG MCN 140-1250)_
Das Gerät wurde mit optogekoppelter DAC-Karte nachgerüstet, welche auf
dem Potential des +Ausganges liegt.  Es kann sowohl manuell als auch
ferngesteuert betrieben werden.  Maximale Ausgangspannung bei
Fernsteuerung: 500 Volt.  Der TTL-kompatible serielle Fernsteuereingang
hat einen Eingangswiderstand von ca.  50 Ohm.

   _4) Kepco-Netzgeräte BOP 100-1M_
Beide Netzgeräte sind am Programmierstecker mit BNC-Buchsen ausgerüstet,
die es gestatten sie als invertierende *10-Verstärker zu betreiben.
Diese Buchsen werden nicht benutzt und bleiben unbeschaltet.  Für den
hier beschriebenen Betrieb als *10 Spannungsfolger wurde am
Programmierstecker zusätzlich ein 3-poliger Diodenstecker mit
Schutzbeschaltung angebracht (s.  Blockschaltbild gunlo03a).  Über Pin 3
dieser Stecker wird die Ausgangsspannung des Integrators zugeführt.
Auf der Frontplatte müssen Common mit Common_Sense und Output mit
Output_Sense gebrückt werden.
Falls die Geräte "stand alone" betrieben werden sollen, ist der
Diodenstecker mit einer Kurzschluss-Buchse zu versehen, welcher die Pins
1 und 2 brückt.

   _4) Schutzbeschaltungs-Kästchen KGUNLO4.1 und KGUNLO4.2._
Sie dienen dem Schutz der Kepco-Netzgeräte vor Überspannungen bei
Überschlägen an der Elektronenkanone.  Z.B. wird der Kurzschluss-Strom
an der Kathode durch diese Beschaltung auf ca.  150 Ampere limitiert und
muss im Fehlerfall vom Varistor und von der Endstufe des Netzgerätes
übernommen werden.  Dabei sind vor allem die ersten u-Sekunden des
Überschlages kritisch.  Ein Dauerkurzschluss am Verbraucher ist dagegen
relativ unkritisch, da die Kepco-Endstufe die 0,5 Ampere Ausgangsstrom
des FUG-Netzgerätes im Dauerstrich übernehmen kann.  Dies gilt
allerdings nur, wenn das Kepconetzgerät eingeschaltet ist, da sonst der
Endstufe die nötige Kühlung fehlt.

   _5) Spannungsteiler (gunlo02)_
Die Spannungsteiler für Kathode und Stangen wurden mittels
Spannungsmessung (Keithley 2000) und ausgemessenen Korrekturwiderständen
auf Teilerverhältnisse von 1:200.000 bzw.  1:60.000 abgeglichen.  Die
Spannungsteiler wurden mit 10K bzw.  100K Widerständen des Typs VISHAY
MODEL S102K (Lieferant Bürklin, Genauigkeit 10E-3, TK 1ppm/C, ca.  20
DM/St.)  realisiert.  Als Korrekturwiderstände (Korrekturwerte: Kathode
0,5%, Stangen 1,7%) wurden unsere Standardwiderstände mit 50ppm/C
verwendet.

   _6) Reglerkarte_
Die Karte enthält für die Messung von Kathoden und Stangenspannung
jeweils zwei separate Spannungsfolger, je einen für die Regelung und je
einen für die auf die Frontplatte geführte Sekundäranzeige.  Die
Sekundäranzeige sollte nur zur (erdfreien!)  Messung des DC-
Mittelwertes benutzt werden.  Für die Messung von AC-Komponenten
empfiehlt es sich direkt an der Kanone mittels Tastkopf zu messen..
Bei den Präzisonswiderständen PR5, PR6 und PR7 handelt es sich um
Burster- Präzisionswiderstände mit jeweils 2*10K in einem Gehäuse.  Sie
haben einen TK von 1ppm/C und eine Genauigkeit von 1E-5.  Die
Widerstände PR2 PR3 und PR4wurden von RS geliefert und haben eine
Genauigkeit von 1*E-3 und einen TK von 15ppm/C.
Die verwendeten BURR-BROWN Operationsverstärker OPA124 zeichnen sich
durch äußerst geringen bias current (<1pA) und geringe Drift der
Eingangsoffsetspannung aus (1uV/C). Der Integrator für die
Kathodenspannung wurde mittels C2=150p und R2=62K auf 50us Anstiegs- und
Abfallzeit bei Rechteck-Modulation des Sollwertes eingestellt.  Am
Regler der Stangenspannung musste diese Zeit mittels C1=1n und R1=0R auf
100us erhöht werden, da der Regelkreis sonst mit 5KHz schwingt.  Die
Ursache hierfür ist vermutlich eine Resonanz des LC-Kreises im Ausgang
des aufgestockten FUG-Netzgerätes.

   _7) Einschub ESGUNLO3_
Er enthält die beiden Spannungsteiler, die Reglerkarte, zwei DAC-Karten
für offset und sweep und ein Netzteil für die Reglerkarte.
Wichtig: Das Bezugspotential des Einschubes wird über die Senseleitungen
für Kathode und Stangen von der Elektronenkanone zugeführt.  Der
gesammte Aufbau ist erdfrei.  Es existiert auch nur je eine einadrige
Verbindung zum Kepco (Stellgröße auf Pin 3 des Steckers).  Um im
Fehlerfall die Personensicherheit zu gewährleisten ist zwischen
Bezugspotential des Einschubes und Potentialerde (PE) ein Varistor
S20K11 angebracht.
Die verwendeten Präzisionswiderstände sind teilweise sehr empfindlich
gegen Brummeinstreuung.  Es ist deshalb darauf zu achten, dass der
Einschub nicht neben Geräte getellt wird, die ihre Umgebung mit
Elektrosmog verseuchen.  Z.B. sind die beiden Kepco- Netzgeräte solche
"Dreckschleudern", weil ihre Trafos bei 50Hz-Betrieb in die Sättigung
gehen und deshalb entsprechend hohe Streufelder erzeugen.

*C) Abgleich*
Auf der Reglerkarte werden die Operationsverstärker U1, U3, U6 und U7
mittels der 20K- Potis auf Ausgangsspannungen von einigen uVolt
abgeglichen.  Die Regler für U5 und U8 sind nicht bestückt.
Der Abgleich der Kathoden- und Stangenspannung auf 0 Volt erfolgt
mittels der Potentiometer P2 bzw.  P4.  Die Kathodenspannung kann auf
etwa +-1mV genau abgeglichen werden.  Dies entspricht den
Kurzzeitschwankungen des Nullpunktes der DAC-Karten.  Die mit dem
Keithley 2000 maximal messbare Spannung beträgt 1000 Volt.  Deshalb
wurde am Offset-DAC das Bitmuster (0111110100000000) geladen, welches
einem Kathoden- Sollwert von 1000.000 Volt entspricht.  Die
Kathodenspannung wurde dann mit dem FS- Regler der DAC-Karte mit einigen
mV Genauigkeit auf 1000.000 Volt eingestellt.  Es ist jedoch zu
bedenken, dass die DAC‘s mit 14 Bit Monotonie angegeben sind.  D.h.,
dass man über den gesamten Aussteuerbereich durchaus mit einem maximalen
Fehler von 100mV rechnen muss.
Der Abgleich des Sweep-DAC‘s erfolgt mit dem Bitmuster 1111111111111111
auf 255,996 Volt.
Die DC-Ausgangswerte standen im Labor über mehrere Stunden bis auf
wenige Millivolt stabil.

*D) Restwelligkeit*

   _1) Kathode:_
Die durch Brummeinsteuung aus dem Netz hervorgerufene Restwelligkeit
beträgt ca.  10mVSS.
Das Kathoden-Netzgerät ist jedoch mit einer Thyristorvorregelung
ausgerüstet .  Insbesondere die Zündung der Thyristoren erzeugt auf der
Ausgangsspannung alle 10ms Störspitzen deren erster Peak bis zu 400mV
hoch ist und eine Fußbreite von ca.  5us besitzt.  Nach ca.  20-30us ist
die Störung abgeklungen.  Die Störungen durch den Löschvorgang sind
deutlich geringer.  Es ist möglich die Amplituden dieser Störungen um
50% zu reduzieren, indem man an der Elektronenkanone 3*10nF/3KV
Keramikkondensatoren anbringt.

   _2) Stangen:_
Die durch Brummeinsteuung aus dem Netz hervorgerufene Restwelligkeit
beträgt ca.  5mVSS. Das Stangen-Netzgerät wird mittels Breitenmodulation
geregelt.  Der Breitenmodulator arbeitet mit ca.  20KHZ und erzeugt auf
dem Ausgang permanent Störungen mit einer Folgefrequenz von 40KHZ und
einer Amplitude von ca.  150 mVSS.